// This is a generated file! Please edit source .ksy file and use kaitai-struct-compiler to rebuild

using System.Collections.Generic;

namespace Kaitai
{

    /// <summary>
    /// DICOM (Digital Imaging and Communications in Medicine), AKA NEMA
    /// PS3, AKA ISO 12052:2006, is a file format and network protocol
    /// standard for medical imaging purposes. This parser covers file
    /// format, typically written by various medical equipment, such as
    /// radiography, computer tomography scans, MRT, ultrasonography, etc.
    /// 
    /// DICOM defines two transfer syntaxes: implicit and explicit. This
    /// top-level parser attempts to autodetect and handle both of them. If
    /// any problems arise, one can use `file_explicit` and `file_implicit`
    /// subtypes to force parsing in particular transfer syntax.
    /// </summary>
    /// <remarks>
    /// Reference: <a href="https://dicom.nema.org/medical/dicom/current/output/html/part10.html#chapter_7">Source</a>
    /// </remarks>
    public partial class Dicom : KaitaiStruct
    {
        public static Dicom FromFile(string fileName)
        {
            return new Dicom(new KaitaiStream(fileName));
        }


        public enum Tags
        {
            FileMetaInformationGroupLength = 131072,
            FileMetaInformationVersion = 131073,
            MediaStorageSopClassUid = 131074,
            MediaStorageSopInstanceUid = 131075,
            TransferSyntaxUid = 131088,
            ImplementationClassUid = 131090,
            ImplementationVersionName = 131091,
            SourceApplicationEntityTitle = 131094,
            SendingApplicationEntityTitle = 131095,
            ReceivingApplicationEntityTitle = 131096,
            PrivateInformationCreatorUid = 131328,
            PrivateInformation = 131330,
            FileSetId = 266544,
            FileSetDescriptorFileId = 266561,
            SpecificCharacterSetOfFileSetDescriptorFile = 266562,
            OffsetOfTheFirstDirectoryRecordOfTheRootDirectoryEntity = 266752,
            OffsetOfTheLastDirectoryRecordOfTheRootDirectoryEntity = 266754,
            FileSetConsistencyFlag = 266770,
            DirectoryRecordSequence = 266784,
            OffsetOfTheNextDirectoryRecord = 267264,
            RecordInUseFlag = 267280,
            OffsetOfReferencedLowerLevelDirectoryEntity = 267296,
            DirectoryRecordType = 267312,
            PrivateRecordUid = 267314,
            ReferencedFileId = 267520,
            MrdrDirectoryRecordOffset = 267524,
            ReferencedSopClassUidInFile = 267536,
            ReferencedSopInstanceUidInFile = 267537,
            ReferencedTransferSyntaxUidInFile = 267538,
            ReferencedRelatedGeneralSopClassUidInFile = 267546,
            NumberOfReferences = 267776,
            LengthToEnd = 524289,
            SpecificCharacterSet = 524293,
            LanguageCodeSequence = 524294,
            ImageType = 524296,
            RecognitionCode = 524304,
            InstanceCreationDate = 524306,
            InstanceCreationTime = 524307,
            InstanceCreatorUid = 524308,
            InstanceCoercionDatetime = 524309,
            SopClassUid = 524310,
            SopInstanceUid = 524312,
            RelatedGeneralSopClassUid = 524314,
            OriginalSpecializedSopClassUid = 524315,
            StudyDate = 524320,
            SeriesDate = 524321,
            AcquisitionDate = 524322,
            ContentDate = 524323,
            OverlayDate = 524324,
            CurveDate = 524325,
            AcquisitionDatetime = 524330,
            StudyTime = 524336,
            SeriesTime = 524337,
            AcquisitionTime = 524338,
            ContentTime = 524339,
            OverlayTime = 524340,
            CurveTime = 524341,
            DataSetType = 524352,
            DataSetSubtype = 524353,
            NuclearMedicineSeriesType = 524354,
            AccessionNumber = 524368,
            IssuerOfAccessionNumberSequence = 524369,
            QueryRetrieveLevel = 524370,
            QueryRetrieveView = 524371,
            RetrieveAeTitle = 524372,
            StationAeTitle = 524373,
            InstanceAvailability = 524374,
            FailedSopInstanceUidList = 524376,
            Modality = 524384,
            ModalitiesInStudy = 524385,
            SopClassesInStudy = 524386,
            ConversionType = 524388,
            PresentationIntentType = 524392,
            Manufacturer = 524400,
            InstitutionName = 524416,
            InstitutionAddress = 524417,
            InstitutionCodeSequence = 524418,
            ReferringPhysicianSName = 524432,
            ReferringPhysicianSAddress = 524434,
            ReferringPhysicianSTelephoneNumbers = 524436,
            ReferringPhysicianIdentificationSequence = 524438,
            ConsultingPhysicianSName = 524444,
            ConsultingPhysicianIdentificationSequence = 524445,
            CodeValue = 524544,
            ExtendedCodeValue = 524545,
            CodingSchemeDesignator = 524546,
            CodingSchemeVersion = 524547,
            CodeMeaning = 524548,
            MappingResource = 524549,
            ContextGroupVersion = 524550,
            ContextGroupLocalVersion = 524551,
            ExtendedCodeMeaning = 524552,
            ContextGroupExtensionFlag = 524555,
            CodingSchemeUid = 524556,
            ContextGroupExtensionCreatorUid = 524557,
            ContextIdentifier = 524559,
            CodingSchemeIdentificationSequence = 524560,
            CodingSchemeRegistry = 524562,
            CodingSchemeExternalId = 524564,
            CodingSchemeName = 524565,
            CodingSchemeResponsibleOrganization = 524566,
            ContextUid = 524567,
            MappingResourceUid = 524568,
            LongCodeValue = 524569,
            UrnCodeValue = 524576,
            EquivalentCodeSequence = 524577,
            MappingResourceName = 524578,
            ContextGroupIdentificationSequence = 524579,
            MappingResourceIdentificationSequence = 524580,
            TimezoneOffsetFromUtc = 524801,
            PrivateDataElementCharacteristicsSequence = 525056,
            PrivateGroupReference = 525057,
            PrivateCreatorReference = 525058,
            BlockIdentifyingInformationStatus = 525059,
            NonidentifyingPrivateElements = 525060,
            DeidentificationActionSequence = 525061,
            IdentifyingPrivateElements = 525062,
            DeidentificationAction = 525063,
            NetworkId = 528384,
            StationName = 528400,
            StudyDescription = 528432,
            ProcedureCodeSequence = 528434,
            SeriesDescription = 528446,
            SeriesDescriptionCodeSequence = 528447,
            InstitutionalDepartmentName = 528448,
            PhysicianSOfRecord = 528456,
            PhysicianSOfRecordIdentificationSequence = 528457,
            PerformingPhysicianSName = 528464,
            PerformingPhysicianIdentificationSequence = 528466,
            NameOfPhysicianSReadingStudy = 528480,
            PhysicianSReadingStudyIdentificationSequence = 528482,
            OperatorsName = 528496,
            OperatorIdentificationSequence = 528498,
            AdmittingDiagnosesDescription = 528512,
            AdmittingDiagnosesCodeSequence = 528516,
            ManufacturerSModelName = 528528,
            ReferencedResultsSequence = 528640,
            ReferencedStudySequence = 528656,
            ReferencedPerformedProcedureStepSequence = 528657,
            ReferencedSeriesSequence = 528661,
            ReferencedPatientSequence = 528672,
            ReferencedVisitSequence = 528677,
            ReferencedOverlaySequence = 528688,
            ReferencedStereometricInstanceSequence = 528692,
            ReferencedWaveformSequence = 528698,
            ReferencedImageSequence = 528704,
            ReferencedCurveSequence = 528709,
            ReferencedInstanceSequence = 528714,
            ReferencedRealWorldValueMappingInstanceSequence = 528715,
            ReferencedSopClassUid = 528720,
            ReferencedSopInstanceUid = 528725,
            SopClassesSupported = 528730,
            ReferencedFrameNumber = 528736,
            SimpleFrameList = 528737,
            CalculatedFrameList = 528738,
            TimeRange = 528739,
            FrameExtractionSequence = 528740,
            MultiFrameSourceSopInstanceUid = 528743,
            RetrieveUrl = 528784,
            TransactionUid = 528789,
            WarningReason = 528790,
            FailureReason = 528791,
            FailedSopSequence = 528792,
            ReferencedSopSequence = 528793,
            OtherFailuresSequence = 528794,
            StudiesContainingOtherReferencedInstancesSequence = 528896,
            RelatedSeriesSequence = 528976,
            LossyImageCompressionRetired = 532752,
            DerivationDescription = 532753,
            SourceImageSequence = 532754,
            StageName = 532768,
            StageNumber = 532770,
            NumberOfStages = 532772,
            ViewName = 532775,
            ViewNumber = 532776,
            NumberOfEventTimers = 532777,
            NumberOfViewsInStage = 532778,
            EventElapsedTimeS = 532784,
            EventTimerNameS = 532786,
            EventTimerSequence = 532787,
            EventTimeOffset = 532788,
            EventCodeSequence = 532789,
            StartTrim = 532802,
            StopTrim = 532803,
            RecommendedDisplayFrameRate = 532804,
            TransducerPosition = 532992,
            TransducerOrientation = 532996,
            AnatomicStructure = 533000,
            AnatomicRegionSequence = 533016,
            AnatomicRegionModifierSequence = 533024,
            PrimaryAnatomicStructureSequence = 533032,
            AnatomicStructureSpaceOrRegionSequence = 533033,
            PrimaryAnatomicStructureModifierSequence = 533040,
            TransducerPositionSequence = 533056,
            TransducerPositionModifierSequence = 533058,
            TransducerOrientationSequence = 533060,
            TransducerOrientationModifierSequence = 533062,
            AnatomicStructureSpaceOrRegionCodeSequenceTrial = 533073,
            AnatomicPortalOfEntranceCodeSequenceTrial = 533075,
            AnatomicApproachDirectionCodeSequenceTrial = 533077,
            AnatomicPerspectiveDescriptionTrial = 533078,
            AnatomicPerspectiveCodeSequenceTrial = 533079,
            AnatomicLocationOfExaminingInstrumentDescriptionTrial = 533080,
            AnatomicLocationOfExaminingInstrumentCodeSequenceTrial = 533081,
            AnatomicStructureSpaceOrRegionModifierCodeSequenceTrial = 533082,
            OnAxisBackgroundAnatomicStructureCodeSequenceTrial = 533084,
            AlternateRepresentationSequence = 536577,
            IrradiationEventUid = 536592,
            SourceIrradiationEventSequence = 536593,
            RadiopharmaceuticalAdministrationEventUid = 536594,
            IdentifyingComments = 540672,
            FrameType = 561159,
            ReferencedImageEvidenceSequence = 561298,
            ReferencedRawDataSequence = 561441,
            CreatorVersionUid = 561443,
            DerivationImageSequence = 561444,
            SourceImageEvidenceSequence = 561492,
            PixelPresentation = 561669,
            VolumetricProperties = 561670,
            VolumeBasedCalculationTechnique = 561671,
            ComplexImageComponent = 561672,
            AcquisitionContrast = 561673,
            DerivationCodeSequence = 561685,
            ReferencedPresentationStateSequence = 561719,
            ReferencedOtherPlaneSequence = 562192,
            FrameDisplaySequence = 562264,
            RecommendedDisplayFrameRateInFloat = 562265,
            SkipFrameRangeFlag = 562272,
            PatientSName = 1048592,
            PatientId = 1048608,
            IssuerOfPatientId = 1048609,
            TypeOfPatientId = 1048610,
            IssuerOfPatientIdQualifiersSequence = 1048612,
            SourcePatientGroupIdentificationSequence = 1048614,
            GroupOfPatientsIdentificationSequence = 1048615,
            SubjectRelativePositionInImage = 1048616,
            PatientSBirthDate = 1048624,
            PatientSBirthTime = 1048626,
            PatientSBirthDateInAlternativeCalendar = 1048627,
            PatientSDeathDateInAlternativeCalendar = 1048628,
            PatientSAlternativeCalendar = 1048629,
            PatientSSex = 1048640,
            PatientSInsurancePlanCodeSequence = 1048656,
            PatientSPrimaryLanguageCodeSequence = 1048833,
            PatientSPrimaryLanguageModifierCodeSequence = 1048834,
            QualityControlSubject = 1049088,
            QualityControlSubjectTypeCodeSequence = 1049089,
            StrainDescription = 1049106,
            StrainNomenclature = 1049107,
            StrainStockNumber = 1049108,
            StrainSourceRegistryCodeSequence = 1049109,
            StrainStockSequence = 1049110,
            StrainSource = 1049111,
            StrainAdditionalInformation = 1049112,
            StrainCodeSequence = 1049113,
            OtherPatientIds = 1052672,
            OtherPatientNames = 1052673,
            OtherPatientIdsSequence = 1052674,
            PatientSBirthName = 1052677,
            PatientSAge = 1052688,
            PatientSSize = 1052704,
            PatientSSizeCodeSequence = 1052705,
            PatientSWeight = 1052720,
            PatientSAddress = 1052736,
            InsurancePlanIdentification = 1052752,
            PatientSMotherSBirthName = 1052768,
            MilitaryRank = 1052800,
            BranchOfService = 1052801,
            MedicalRecordLocator = 1052816,
            ReferencedPatientPhotoSequence = 1052928,
            MedicalAlerts = 1056768,
            Allergies = 1057040,
            CountryOfResidence = 1057104,
            RegionOfResidence = 1057106,
            PatientSTelephoneNumbers = 1057108,
            PatientSTelecomInformation = 1057109,
            EthnicGroup = 1057120,
            Occupation = 1057152,
            SmokingStatus = 1057184,
            AdditionalPatientHistory = 1057200,
            PregnancyStatus = 1057216,
            LastMenstrualDate = 1057232,
            PatientSReligiousPreference = 1057264,
            PatientSpeciesDescription = 1057281,
            PatientSpeciesCodeSequence = 1057282,
            PatientSSexNeutered = 1057283,
            AnatomicalOrientationType = 1057296,
            PatientBreedDescription = 1057426,
            PatientBreedCodeSequence = 1057427,
            BreedRegistrationSequence = 1057428,
            BreedRegistrationNumber = 1057429,
            BreedRegistryCodeSequence = 1057430,
            ResponsiblePerson = 1057431,
            ResponsiblePersonRole = 1057432,
            ResponsibleOrganization = 1057433,
            PatientComments = 1064960,
            ExaminedBodyThickness = 1086513,
            ClinicalTrialSponsorName = 1179664,
            ClinicalTrialProtocolId = 1179680,
            ClinicalTrialProtocolName = 1179681,
            ClinicalTrialSiteId = 1179696,
            ClinicalTrialSiteName = 1179697,
            ClinicalTrialSubjectId = 1179712,
            ClinicalTrialSubjectReadingId = 1179714,
            ClinicalTrialTimePointId = 1179728,
            ClinicalTrialTimePointDescription = 1179729,
            ClinicalTrialCoordinatingCenterName = 1179744,
            PatientIdentityRemoved = 1179746,
            DeIdentificationMethod = 1179747,
            DeIdentificationMethodCodeSequence = 1179748,
            ClinicalTrialSeriesId = 1179761,
            ClinicalTrialSeriesDescription = 1179762,
            ClinicalTrialProtocolEthicsCommitteeName = 1179777,
            ClinicalTrialProtocolEthicsCommitteeApprovalNumber = 1179778,
            ConsentForClinicalTrialUseSequence = 1179779,
            DistributionType = 1179780,
            ConsentForDistributionFlag = 1179781,
            CadFileFormat = 1310755,
            ComponentReferenceSystem = 1310756,
            ComponentManufacturingProcedure = 1310757,
            ComponentManufacturer = 1310760,
            MaterialThickness = 1310768,
            MaterialPipeDiameter = 1310770,
            MaterialIsolationDiameter = 1310772,
            MaterialGrade = 1310786,
            MaterialPropertiesDescription = 1310788,
            MaterialPropertiesFileFormatRetired = 1310789,
            MaterialNotes = 1310790,
            ComponentShape = 1310800,
            CurvatureType = 1310802,
            OuterDiameter = 1310804,
            InnerDiameter = 1310806,
            ComponentWelderIds = 1310976,
            SecondaryApprovalStatus = 1310977,
            SecondaryReviewDate = 1310978,
            SecondaryReviewTime = 1310979,
            SecondaryReviewerName = 1310980,
            RepairId = 1310981,
            MultipleComponentApprovalSequence = 1310982,
            OtherApprovalStatus = 1310983,
            OtherSecondaryApprovalStatus = 1310984,
            ActualEnvironmentalConditions = 1314832,
            ExpiryDate = 1314848,
            EnvironmentalConditions = 1314880,
            EvaluatorSequence = 1318914,
            EvaluatorNumber = 1318916,
            EvaluatorName = 1318918,
            EvaluationAttempt = 1318920,
            IndicationSequence = 1318930,
            IndicationNumber = 1318932,
            IndicationLabel = 1318934,
            IndicationDescription = 1318936,
            IndicationType = 1318938,
            IndicationDisposition = 1318940,
            IndicationRoiSequence = 1318942,
            IndicationPhysicalPropertySequence = 1318960,
            PropertyLabel = 1318962,
            CoordinateSystemNumberOfAxes = 1319426,
            CoordinateSystemAxesSequence = 1319428,
            CoordinateSystemAxisDescription = 1319430,
            CoordinateSystemDataSetMapping = 1319432,
            CoordinateSystemAxisNumber = 1319434,
            CoordinateSystemAxisType = 1319436,
            CoordinateSystemAxisUnits = 1319438,
            CoordinateSystemAxisValues = 1319440,
            CoordinateSystemTransformSequence = 1319456,
            TransformDescription = 1319458,
            TransformNumberOfAxes = 1319460,
            TransformOrderOfAxes = 1319462,
            TransformedAxisUnits = 1319464,
            CoordinateSystemTransformRotationAndScaleMatrix = 1319466,
            CoordinateSystemTransformTranslationMatrix = 1319468,
            InternalDetectorFrameTime = 1323025,
            NumberOfFramesIntegrated = 1323026,
            DetectorTemperatureSequence = 1323040,
            SensorName = 1323042,
            HorizontalOffsetOfSensor = 1323044,
            VerticalOffsetOfSensor = 1323046,
            SensorTemperature = 1323048,
            DarkCurrentSequence = 1323072,
            DarkCurrentCounts = 1323088,
            GainCorrectionReferenceSequence = 1323104,
            AirCounts = 1323120,
            KvUsedInGainCalibration = 1323121,
            MaUsedInGainCalibration = 1323122,
            NumberOfFramesUsedForIntegration = 1323123,
            FilterMaterialUsedInGainCalibration = 1323124,
            FilterThicknessUsedInGainCalibration = 1323125,
            DateOfGainCalibration = 1323126,
            TimeOfGainCalibration = 1323127,
            BadPixelImage = 1323136,
            CalibrationNotes = 1323161,
            PulserEquipmentSequence = 1327106,
            PulserType = 1327108,
            PulserNotes = 1327110,
            ReceiverEquipmentSequence = 1327112,
            AmplifierType = 1327114,
            ReceiverNotes = 1327116,
            PreAmplifierEquipmentSequence = 1327118,
            PreAmplifierNotes = 1327119,
            TransmitTransducerSequence = 1327120,
            ReceiveTransducerSequence = 1327121,
            NumberOfElements = 1327122,
            ElementShape = 1327123,
            ElementDimensionA = 1327124,
            ElementDimensionB = 1327125,
            ElementPitchA = 1327126,
            MeasuredBeamDimensionA = 1327127,
            MeasuredBeamDimensionB = 1327128,
            LocationOfMeasuredBeamDiameter = 1327129,
            NominalFrequency = 1327130,
            MeasuredCenterFrequency = 1327131,
            MeasuredBandwidth = 1327132,
            ElementPitchB = 1327133,
            PulserSettingsSequence = 1327136,
            PulseWidth = 1327138,
            ExcitationFrequency = 1327140,
            ModulationType = 1327142,
            Damping = 1327144,
            ReceiverSettingsSequence = 1327152,
            AcquiredSoundpathLength = 1327153,
            AcquisitionCompressionType = 1327154,
            AcquisitionSampleSize = 1327155,
            RectifierSmoothing = 1327156,
            DacSequence = 1327157,
            DacType = 1327158,
            DacGainPoints = 1327160,
            DacTimePoints = 1327162,
            DacAmplitude = 1327164,
            PreAmplifierSettingsSequence = 1327168,
            TransmitTransducerSettingsSequence = 1327184,
            ReceiveTransducerSettingsSequence = 1327185,
            IncidentAngle = 1327186,
            CouplingTechnique = 1327188,
            CouplingMedium = 1327190,
            CouplingVelocity = 1327191,
            ProbeCenterLocationX = 1327192,
            ProbeCenterLocationZ = 1327193,
            SoundPathLength = 1327194,
            DelayLawIdentifier = 1327196,
            GateSettingsSequence = 1327200,
            GateThreshold = 1327202,
            VelocityOfSound = 1327204,
            CalibrationSettingsSequence = 1327216,
            CalibrationProcedure = 1327218,
            ProcedureVersion = 1327220,
            ProcedureCreationDate = 1327222,
            ProcedureExpirationDate = 1327224,
            ProcedureLastModifiedDate = 1327226,
            CalibrationTime = 1327228,
            CalibrationDate = 1327230,
            ProbeDriveEquipmentSequence = 1327232,
            DriveType = 1327233,
            ProbeDriveNotes = 1327234,
            DriveProbeSequence = 1327235,
            ProbeInductance = 1327236,
            ProbeResistance = 1327237,
            ReceiveProbeSequence = 1327238,
            ProbeDriveSettingsSequence = 1327239,
            BridgeResistors = 1327240,
            ProbeOrientationAngle = 1327241,
            UserSelectedGainY = 1327243,
            UserSelectedPhase = 1327244,
            UserSelectedOffsetX = 1327245,
            UserSelectedOffsetY = 1327246,
            ChannelSettingsSequence = 1327249,
            ChannelThreshold = 1327250,
            ScannerSettingsSequence = 1327258,
            ScanProcedure = 1327259,
            TranslationRateX = 1327260,
            TranslationRateY = 1327261,
            ChannelOverlap = 1327263,
            ImageQualityIndicatorType = 1327264,
            ImageQualityIndicatorMaterial = 1327265,
            ImageQualityIndicatorSize = 1327266,
            LinacEnergy = 1331202,
            LinacOutput = 1331204,
            ActiveAperture = 1331456,
            TotalAperture = 1331457,
            ApertureElevation = 1331458,
            MainLobeAngle = 1331459,
            MainRoofAngle = 1331460,
            ConnectorType = 1331461,
            WedgeModelNumber = 1331462,
            WedgeAngleFloat = 1331463,
            WedgeRoofAngle = 1331464,
            WedgeElement1Position = 1331465,
            WedgeMaterialVelocity = 1331466,
            WedgeMaterial = 1331467,
            WedgeOffsetZ = 1331468,
            WedgeOriginOffsetX = 1331469,
            WedgeTimeDelay = 1331470,
            WedgeName = 1331471,
            WedgeManufacturerName = 1331472,
            WedgeDescription = 1331473,
            NominalBeamAngle = 1331474,
            WedgeOffsetX = 1331475,
            WedgeOffsetY = 1331476,
            WedgeTotalLength = 1331477,
            WedgeInContactLength = 1331478,
            WedgeFrontGap = 1331479,
            WedgeTotalHeight = 1331480,
            WedgeFrontHeight = 1331481,
            WedgeRearHeight = 1331482,
            WedgeTotalWidth = 1331483,
            WedgeInContactWidth = 1331484,
            WedgeChamferHeight = 1331485,
            WedgeCurve = 1331486,
            RadiusAlongTheWedge = 1331487,
            ContrastBolusAgent = 1572880,
            ContrastBolusAgentSequence = 1572882,
            ContrastBolusT1Relaxivity = 1572883,
            ContrastBolusAdministrationRouteSequence = 1572884,
            BodyPartExamined = 1572885,
            ScanningSequence = 1572896,
            SequenceVariant = 1572897,
            ScanOptions = 1572898,
            MrAcquisitionType = 1572899,
            SequenceName = 1572900,
            AngioFlag = 1572901,
            InterventionDrugInformationSequence = 1572902,
            InterventionDrugStopTime = 1572903,
            InterventionDrugDose = 1572904,
            InterventionDrugCodeSequence = 1572905,
            AdditionalDrugSequence = 1572906,
            Radionuclide = 1572912,
            Radiopharmaceutical = 1572913,
            EnergyWindowCenterline = 1572914,
            EnergyWindowTotalWidth = 1572915,
            InterventionDrugName = 1572916,
            InterventionDrugStartTime = 1572917,
            InterventionSequence = 1572918,
            TherapyType = 1572919,
            InterventionStatus = 1572920,
            TherapyDescription = 1572921,
            InterventionDescription = 1572922,
            CineRate = 1572928,
            InitialCineRunState = 1572930,
            SliceThickness = 1572944,
            Kvp = 1572960,
            CountsAccumulated = 1572976,
            AcquisitionTerminationCondition = 1572977,
            EffectiveDuration = 1572978,
            AcquisitionStartCondition = 1572979,
            AcquisitionStartConditionData = 1572980,
            AcquisitionTerminationConditionData = 1572981,
            RepetitionTime = 1572992,
            EchoTime = 1572993,
            InversionTime = 1572994,
            NumberOfAverages = 1572995,
            ImagingFrequency = 1572996,
            ImagedNucleus = 1572997,
            EchoNumberS = 1572998,
            MagneticFieldStrength = 1572999,
            SpacingBetweenSlices = 1573000,
            NumberOfPhaseEncodingSteps = 1573001,
            DataCollectionDiameter = 1573008,
            EchoTrainLength = 1573009,
            PercentSampling = 1573011,
            PercentPhaseFieldOfView = 1573012,
            PixelBandwidth = 1573013,
            DeviceSerialNumber = 1576960,
            DeviceUid = 1576962,
            DeviceId = 1576963,
            PlateId = 1576964,
            GeneratorId = 1576965,
            GridId = 1576966,
            CassetteId = 1576967,
            GantryId = 1576968,
            SecondaryCaptureDeviceId = 1576976,
            HardcopyCreationDeviceId = 1576977,
            DateOfSecondaryCapture = 1576978,
            TimeOfSecondaryCapture = 1576980,
            SecondaryCaptureDeviceManufacturer = 1576982,
            HardcopyDeviceManufacturer = 1576983,
            SecondaryCaptureDeviceManufacturerSModelName = 1576984,
            SecondaryCaptureDeviceSoftwareVersions = 1576985,
            HardcopyDeviceSoftwareVersion = 1576986,
            HardcopyDeviceManufacturerSModelName = 1576987,
            SoftwareVersionS = 1576992,
            VideoImageFormatAcquired = 1576994,
            DigitalImageFormatAcquired = 1576995,
            ProtocolName = 1577008,
            ContrastBolusRoute = 1577024,
            ContrastBolusVolume = 1577025,
            ContrastBolusStartTime = 1577026,
            ContrastBolusStopTime = 1577027,
            ContrastBolusTotalDose = 1577028,
            SyringeCounts = 1577029,
            ContrastFlowRate = 1577030,
            ContrastFlowDuration = 1577031,
            ContrastBolusIngredient = 1577032,
            ContrastBolusIngredientConcentration = 1577033,
            SpatialResolution = 1577040,
            TriggerTime = 1577056,
            TriggerSourceOrType = 1577057,
            NominalInterval = 1577058,
            FrameTime = 1577059,
            CardiacFramingType = 1577060,
            FrameTimeVector = 1577061,
            FrameDelay = 1577062,
            ImageTriggerDelay = 1577063,
            MultiplexGroupTimeOffset = 1577064,
            TriggerTimeOffset = 1577065,
            SynchronizationTrigger = 1577066,
            SynchronizationChannel = 1577068,
            TriggerSamplePosition = 1577070,
            RadiopharmaceuticalRoute = 1577072,
            RadiopharmaceuticalVolume = 1577073,
            RadiopharmaceuticalStartTime = 1577074,
            RadiopharmaceuticalStopTime = 1577075,
            RadionuclideTotalDose = 1577076,
            RadionuclideHalfLife = 1577077,
            RadionuclidePositronFraction = 1577078,
            RadiopharmaceuticalSpecificActivity = 1577079,
            RadiopharmaceuticalStartDatetime = 1577080,
            RadiopharmaceuticalStopDatetime = 1577081,
            BeatRejectionFlag = 1577088,
            LowRRValue = 1577089,
            HighRRValue = 1577090,
            IntervalsAcquired = 1577091,
            IntervalsRejected = 1577092,
            PvcRejection = 1577093,
            SkipBeats = 1577094,
            HeartRate = 1577096,
            CardiacNumberOfImages = 1577104,
            TriggerWindow = 1577108,
            ReconstructionDiameter = 1577216,
            DistanceSourceToDetector = 1577232,
            DistanceSourceToPatient = 1577233,
            EstimatedRadiographicMagnificationFactor = 1577236,
            GantryDetectorTilt = 1577248,
            GantryDetectorSlew = 1577249,
            TableHeight = 1577264,
            TableTraverse = 1577265,
            TableMotion = 1577268,
            TableVerticalIncrement = 1577269,
            TableLateralIncrement = 1577270,
            TableLongitudinalIncrement = 1577271,
            TableAngle = 1577272,
            TableType = 1577274,
            RotationDirection = 1577280,
            AngularPosition = 1577281,
            RadialPosition = 1577282,
            ScanArc = 1577283,
            AngularStep = 1577284,
            CenterOfRotationOffset = 1577285,
            RotationOffset = 1577286,
            FieldOfViewShape = 1577287,
            FieldOfViewDimensionS = 1577289,
            ExposureTime = 1577296,
            XRayTubeCurrent = 1577297,
            Exposure = 1577298,
            ExposureInAs = 1577299,
            AveragePulseWidth = 1577300,
            RadiationSetting = 1577301,
            RectificationType = 1577302,
            RadiationMode = 1577306,
            ImageAndFluoroscopyAreaDoseProduct = 1577310,
            FilterType = 1577312,
            TypeOfFilters = 1577313,
            IntensifierSize = 1577314,
            ImagerPixelSpacing = 1577316,
            Grid = 1577318,
            GeneratorPower = 1577328,
            CollimatorGridName = 1577344,
            CollimatorType = 1577345,
            FocalDistance = 1577346,
            XFocusCenter = 1577347,
            YFocusCenter = 1577348,
            FocalSpotS = 1577360,
            AnodeTargetMaterial = 1577361,
            BodyPartThickness = 1577376,
            CompressionForce = 1577378,
            PaddleDescription = 1577380,
            DateOfLastCalibration = 1577472,
            TimeOfLastCalibration = 1577473,
            DatetimeOfLastCalibration = 1577474,
            ConvolutionKernel = 1577488,
            UpperLowerPixelValues = 1577536,
            ActualFrameDuration = 1577538,
            CountRate = 1577539,
            PreferredPlaybackSequencing = 1577540,
            ReceiveCoilName = 1577552,
            TransmitCoilName = 1577553,
            PlateType = 1577568,
            PhosphorType = 1577569,
            WaterEquivalentDiameter = 1577585,
            WaterEquivalentDiameterCalculationMethodCodeSequence = 1577586,
            ScanVelocity = 1577728,
            WholeBodyTechnique = 1577729,
            ScanLength = 1577730,
            AcquisitionMatrix = 1577744,
            InPlanePhaseEncodingDirection = 1577746,
            FlipAngle = 1577748,
            VariableFlipAngleFlag = 1577749,
            Sar = 1577750,
            DbDt = 1577752,
            B1rms = 1577760,
            AcquisitionDeviceProcessingDescription = 1577984,
            AcquisitionDeviceProcessingCode = 1577985,
            CassetteOrientation = 1577986,
            CassetteSize = 1577987,
            ExposuresOnPlate = 1577988,
            RelativeXRayExposure = 1577989,
            ExposureIndex = 1578001,
            TargetExposureIndex = 1578002,
            DeviationIndex = 1578003,
            ColumnAngulation = 1578064,
            TomoLayerHeight = 1578080,
            TomoAngle = 1578096,
            TomoTime = 1578112,
            TomoType = 1578128,
            TomoClass = 1578129,
            NumberOfTomosynthesisSourceImages = 1578133,
            PositionerMotion = 1578240,
            PositionerType = 1578248,
            PositionerPrimaryAngle = 1578256,
            PositionerSecondaryAngle = 1578257,
            PositionerPrimaryAngleIncrement = 1578272,
            PositionerSecondaryAngleIncrement = 1578273,
            DetectorPrimaryAngle = 1578288,
            DetectorSecondaryAngle = 1578289,
            ShutterShape = 1578496,
            ShutterLeftVerticalEdge = 1578498,
            ShutterRightVerticalEdge = 1578500,
            ShutterUpperHorizontalEdge = 1578502,
            ShutterLowerHorizontalEdge = 1578504,
            CenterOfCircularShutter = 1578512,
            RadiusOfCircularShutter = 1578514,
            VerticesOfThePolygonalShutter = 1578528,
            ShutterPresentationValue = 1578530,
            ShutterOverlayGroup = 1578531,
            ShutterPresentationColorCielabValue = 1578532,
            CollimatorShape = 1578752,
            CollimatorLeftVerticalEdge = 1578754,
            CollimatorRightVerticalEdge = 1578756,
            CollimatorUpperHorizontalEdge = 1578758,
            CollimatorLowerHorizontalEdge = 1578760,
            CenterOfCircularCollimator = 1578768,
            RadiusOfCircularCollimator = 1578770,
            VerticesOfThePolygonalCollimator = 1578784,
            AcquisitionTimeSynchronized = 1579008,
            TimeSource = 1579009,
            TimeDistributionProtocol = 1579010,
            NtpSourceAddress = 1579011,
            PageNumberVector = 1581057,
            FrameLabelVector = 1581058,
            FramePrimaryAngleVector = 1581059,
            FrameSecondaryAngleVector = 1581060,
            SliceLocationVector = 1581061,
            DisplayWindowLabelVector = 1581062,
            NominalScannedPixelSpacing = 1581072,
            DigitizingDeviceTransportDirection = 1581088,
            RotationOfScannedFilm = 1581104,
            BiopsyTargetSequence = 1581121,
            TargetUid = 1581122,
            LocalizingCursorPosition = 1581123,
            CalculatedTargetPosition = 1581124,
            TargetLabel = 1581125,
            DisplayedZValue = 1581126,
            IvusAcquisition = 1585408,
            IvusPullbackRate = 1585409,
            IvusGatedRate = 1585410,
            IvusPullbackStartFrameNumber = 1585411,
            IvusPullbackStopFrameNumber = 1585412,
            LesionNumber = 1585413,
            AcquisitionComments = 1589248,
            OutputPower = 1593344,
            TransducerData = 1593360,
            FocusDepth = 1593362,
            ProcessingFunction = 1593376,
            PostprocessingFunction = 1593377,
            MechanicalIndex = 1593378,
            BoneThermalIndex = 1593380,
            CranialThermalIndex = 1593382,
            SoftTissueThermalIndex = 1593383,
            SoftTissueFocusThermalIndex = 1593384,
            SoftTissueSurfaceThermalIndex = 1593385,
            DynamicRange = 1593392,
            TotalGain = 1593408,
            DepthOfScanField = 1593424,
            PatientPosition = 1593600,
            ViewPosition = 1593601,
            ProjectionEponymousNameCodeSequence = 1593604,
            ImageTransformationMatrix = 1593872,
            ImageTranslationVector = 1593874,
            Sensitivity = 1597440,
            SequenceOfUltrasoundRegions = 1597457,
            RegionSpatialFormat = 1597458,
            RegionDataType = 1597460,
            RegionFlags = 1597462,
            RegionLocationMinX0 = 1597464,
            RegionLocationMinY0 = 1597466,
            RegionLocationMaxX1 = 1597468,
            RegionLocationMaxY1 = 1597470,
            ReferencePixelX0 = 1597472,
            ReferencePixelY0 = 1597474,
            PhysicalUnitsXDirection = 1597476,
            PhysicalUnitsYDirection = 1597478,
            ReferencePixelPhysicalValueX = 1597480,
            ReferencePixelPhysicalValueY = 1597482,
            PhysicalDeltaX = 1597484,
            PhysicalDeltaY = 1597486,
            TransducerFrequency = 1597488,
            TransducerType = 1597489,
            PulseRepetitionFrequency = 1597490,
            DopplerCorrectionAngle = 1597492,
            SteeringAngle = 1597494,
            DopplerSampleVolumeXPositionRetired = 1597496,
            DopplerSampleVolumeXPosition = 1597497,
            DopplerSampleVolumeYPositionRetired = 1597498,
            DopplerSampleVolumeYPosition = 1597499,
            TmLinePositionX0Retired = 1597500,
            TmLinePositionX0 = 1597501,
            TmLinePositionY0Retired = 1597502,
            TmLinePositionY0 = 1597503,
            TmLinePositionX1Retired = 1597504,
            TmLinePositionX1 = 1597505,
            TmLinePositionY1Retired = 1597506,
            TmLinePositionY1 = 1597507,
            PixelComponentOrganization = 1597508,
            PixelComponentMask = 1597510,
            PixelComponentRangeStart = 1597512,
            PixelComponentRangeStop = 1597514,
            PixelComponentPhysicalUnits = 1597516,
            PixelComponentDataType = 1597518,
            NumberOfTableBreakPoints = 1597520,
            TableOfXBreakPoints = 1597522,
            TableOfYBreakPoints = 1597524,
            NumberOfTableEntries = 1597526,
            TableOfPixelValues = 1597528,
            TableOfParameterValues = 1597530,
            RWaveTimeVector = 1597536,
            DetectorConditionsNominalFlag = 1601536,
            DetectorTemperature = 1601537,
            DetectorType = 1601540,
            DetectorConfiguration = 1601541,
            DetectorDescription = 1601542,
            DetectorMode = 1601544,
            DetectorId = 1601546,
            DateOfLastDetectorCalibration = 1601548,
            TimeOfLastDetectorCalibration = 1601550,
            ExposuresOnDetectorSinceLastCalibration = 1601552,
            ExposuresOnDetectorSinceManufactured = 1601553,
            DetectorTimeSinceLastExposure = 1601554,
            DetectorActiveTime = 1601556,
            DetectorActivationOffsetFromExposure = 1601558,
            DetectorBinning = 1601562,
            DetectorElementPhysicalSize = 1601568,
            DetectorElementSpacing = 1601570,
            DetectorActiveShape = 1601572,
            DetectorActiveDimensionS = 1601574,
            DetectorActiveOrigin = 1601576,
            DetectorManufacturerName = 1601578,
            DetectorManufacturerSModelName = 1601579,
            FieldOfViewOrigin = 1601584,
            FieldOfViewRotation = 1601586,
            FieldOfViewHorizontalFlip = 1601588,
            PixelDataAreaOriginRelativeToFov = 1601590,
            PixelDataAreaRotationAngleRelativeToFov = 1601592,
            GridAbsorbingMaterial = 1601600,
            GridSpacingMaterial = 1601601,
            GridThickness = 1601602,
            GridPitch = 1601604,
            GridAspectRatio = 1601606,
            GridPeriod = 1601608,
            GridFocalDistance = 1601612,
            FilterMaterial = 1601616,
            FilterThicknessMinimum = 1601618,
            FilterThicknessMaximum = 1601620,
            FilterBeamPathLengthMinimum = 1601622,
            FilterBeamPathLengthMaximum = 1601624,
            ExposureControlMode = 1601632,
            ExposureControlModeDescription = 1601634,
            ExposureStatus = 1601636,
            PhototimerSetting = 1601637,
            ExposureTimeInS = 1605968,
            XRayTubeCurrentInA = 1605969,
            ContentQualification = 1609732,
            PulseSequenceName = 1609733,
            MrImagingModifierSequence = 1609734,
            EchoPulseSequence = 1609736,
            InversionRecovery = 1609737,
            FlowCompensation = 1609744,
            MultipleSpinEcho = 1609745,
            MultiPlanarExcitation = 1609746,
            PhaseContrast = 1609748,
            TimeOfFlightContrast = 1609749,
            Spoiling = 1609750,
            SteadyStatePulseSequence = 1609751,
            EchoPlanarPulseSequence = 1609752,
            TagAngleFirstAxis = 1609753,
            MagnetizationTransfer = 1609760,
            T2Preparation = 1609761,
            BloodSignalNulling = 1609762,
            SaturationRecovery = 1609764,
            SpectrallySelectedSuppression = 1609765,
            SpectrallySelectedExcitation = 1609766,
            SpatialPreSaturation = 1609767,
            Tagging = 1609768,
            OversamplingPhase = 1609769,
            TagSpacingFirstDimension = 1609776,
            GeometryOfKSpaceTraversal = 1609778,
            SegmentedKSpaceTraversal = 1609779,
            RectilinearPhaseEncodeReordering = 1609780,
            TagThickness = 1609781,
            PartialFourierDirection = 1609782,
            CardiacSynchronizationTechnique = 1609783,
            ReceiveCoilManufacturerName = 1609793,
            MrReceiveCoilSequence = 1609794,
            ReceiveCoilType = 1609795,
            QuadratureReceiveCoil = 1609796,
            MultiCoilDefinitionSequence = 1609797,
            MultiCoilConfiguration = 1609798,
            MultiCoilElementName = 1609799,
            MultiCoilElementUsed = 1609800,
            MrTransmitCoilSequence = 1609801,
            TransmitCoilManufacturerName = 1609808,
            TransmitCoilType = 1609809,
            SpectralWidth = 1609810,
            ChemicalShiftReference = 1609811,
            VolumeLocalizationTechnique = 1609812,
            MrAcquisitionFrequencyEncodingSteps = 1609816,
            DeCoupling = 1609817,
            DeCoupledNucleus = 1609824,
            DeCouplingFrequency = 1609825,
            DeCouplingMethod = 1609826,
            DeCouplingChemicalShiftReference = 1609827,
            KSpaceFiltering = 1609828,
            TimeDomainFiltering = 1609829,
            NumberOfZeroFills = 1609830,
            BaselineCorrection = 1609831,
            ParallelReductionFactorInPlane = 1609833,
            CardiacRRIntervalSpecified = 1609840,
            AcquisitionDuration = 1609843,
            FrameAcquisitionDatetime = 1609844,
            DiffusionDirectionality = 1609845,
            DiffusionGradientDirectionSequence = 1609846,
            ParallelAcquisition = 1609847,
            ParallelAcquisitionTechnique = 1609848,
            InversionTimes = 1609849,
            MetaboliteMapDescription = 1609856,
            PartialFourier = 1609857,
            EffectiveEchoTime = 1609858,
            MetaboliteMapCodeSequence = 1609859,
            ChemicalShiftSequence = 1609860,
            CardiacSignalSource = 1609861,
            DiffusionBValue = 1609863,
            DiffusionGradientOrientation = 1609865,
            VelocityEncodingDirection = 1609872,
            VelocityEncodingMinimumValue = 1609873,
            VelocityEncodingAcquisitionSequence = 1609874,
            NumberOfKSpaceTrajectories = 1609875,
            CoverageOfKSpace = 1609876,
            SpectroscopyAcquisitionPhaseRows = 1609877,
            ParallelReductionFactorInPlaneRetired = 1609878,
            TransmitterFrequency = 1609880,
            ResonantNucleus = 1609984,
            FrequencyCorrection = 1609985,
            MrSpectroscopyFovGeometrySequence = 1609987,
            SlabThickness = 1609988,
            SlabOrientation = 1609989,
            MidSlabPosition = 1609990,
            MrSpatialSaturationSequence = 1609991,
            MrTimingAndRelatedParametersSequence = 1610002,
            MrEchoSequence = 1610004,
            MrModifierSequence = 1610005,
            MrDiffusionSequence = 1610007,
            CardiacSynchronizationSequence = 1610008,
            MrAveragesSequence = 1610009,
            MrFovGeometrySequence = 1610021,
            VolumeLocalizationSequence = 1610022,
            SpectroscopyAcquisitionDataColumns = 1610023,
            DiffusionAnisotropyType = 1610055,
            FrameReferenceDatetime = 1610065,
            MrMetaboliteMapSequence = 1610066,
            ParallelReductionFactorOutOfPlane = 1610069,
            SpectroscopyAcquisitionOutOfPlanePhaseSteps = 1610073,
            BulkMotionStatus = 1610086,
            ParallelReductionFactorSecondInPlane = 1610088,
            CardiacBeatRejectionTechnique = 1610089,
            RespiratoryMotionCompensationTechnique = 1610096,
            RespiratorySignalSource = 1610097,
            BulkMotionCompensationTechnique = 1610098,
            BulkMotionSignalSource = 1610099,
            ApplicableSafetyStandardAgency = 1610100,
            ApplicableSafetyStandardDescription = 1610101,
            OperatingModeSequence = 1610102,
            OperatingModeType = 1610103,
            OperatingMode = 1610104,
            SpecificAbsorptionRateDefinition = 1610105,
            GradientOutputType = 1610112,
            SpecificAbsorptionRateValue = 1610113,
            GradientOutput = 1610114,
            FlowCompensationDirection = 1610115,
            TaggingDelay = 1610116,
            RespiratoryMotionCompensationTechniqueDescription = 1610117,
            RespiratorySignalSourceId = 1610118,
            ChemicalShiftMinimumIntegrationLimitInHz = 1610133,
            ChemicalShiftMaximumIntegrationLimitInHz = 1610134,
            MrVelocityEncodingSequence = 1610135,
            FirstOrderPhaseCorrection = 1610136,
            WaterReferencedPhaseCorrection = 1610137,
            MrSpectroscopyAcquisitionType = 1610240,
            RespiratoryCyclePosition = 1610260,
            VelocityEncodingMaximumValue = 1610263,
            TagSpacingSecondDimension = 1610264,
            TagAngleSecondAxis = 1610265,
            FrameAcquisitionDuration = 1610272,
            MrImageFrameTypeSequence = 1610278,
            MrSpectroscopyFrameTypeSequence = 1610279,
            MrAcquisitionPhaseEncodingStepsInPlane = 1610289,
            MrAcquisitionPhaseEncodingStepsOutOfPlane = 1610290,
            SpectroscopyAcquisitionPhaseColumns = 1610292,
            CardiacCyclePosition = 1610294,
            SpecificAbsorptionRateSequence = 1610297,
            RfEchoTrainLength = 1610304,
            GradientEchoTrainLength = 1610305,
            ArterialSpinLabelingContrast = 1610320,
            MrArterialSpinLabelingSequence = 1610321,
            AslTechniqueDescription = 1610322,
            AslSlabNumber = 1610323,
            AslSlabThickness = 1610324,
            AslSlabOrientation = 1610325,
            AslMidSlabPosition = 1610326,
            AslContext = 1610327,
            AslPulseTrainDuration = 1610328,
            AslCrusherFlag = 1610329,
            AslCrusherFlowLimit = 1610330,
            AslCrusherDescription = 1610331,
            AslBolusCutOffFlag = 1610332,
            AslBolusCutOffTimingSequence = 1610333,
            AslBolusCutOffTechnique = 1610334,
            AslBolusCutOffDelayTime = 1610335,
            AslSlabSequence = 1610336,
            ChemicalShiftMinimumIntegrationLimitInPpm = 1610389,
            ChemicalShiftMaximumIntegrationLimitInPpm = 1610390,
            WaterReferenceAcquisition = 1610391,
            EchoPeakPosition = 1610392,
            CtAcquisitionTypeSequence = 1610497,
            AcquisitionType = 1610498,
            TubeAngle = 1610499,
            CtAcquisitionDetailsSequence = 1610500,
            RevolutionTime = 1610501,
            SingleCollimationWidth = 1610502,
            TotalCollimationWidth = 1610503,
            CtTableDynamicsSequence = 1610504,
            TableSpeed = 1610505,
            TableFeedPerRotation = 1610512,
            SpiralPitchFactor = 1610513,
            CtGeometrySequence = 1610514,
            DataCollectionCenterPatient = 1610515,
            CtReconstructionSequence = 1610516,
            ReconstructionAlgorithm = 1610517,
            ConvolutionKernelGroup = 1610518,
            ReconstructionFieldOfView = 1610519,
            ReconstructionTargetCenterPatient = 1610520,
            ReconstructionAngle = 1610521,
            ImageFilter = 1610528,
            CtExposureSequence = 1610529,
            ReconstructionPixelSpacing = 1610530,
            ExposureModulationType = 1610531,
            EstimatedDoseSaving = 1610532,
            CtXRayDetailsSequence = 1610533,
            CtPositionSequence = 1610534,
            TablePosition = 1610535,
            ExposureTimeInMs = 1610536,
            CtImageFrameTypeSequence = 1610537,
            XRayTubeCurrentInMa = 1610544,
            ExposureInMas = 1610546,
            ConstantVolumeFlag = 1610547,
            FluoroscopyFlag = 1610548,
            DistanceSourceToDataCollectionCenter = 1610549,
            ContrastBolusAgentNumber = 1610551,
            ContrastBolusIngredientCodeSequence = 1610552,
            ContrastAdministrationProfileSequence = 1610560,
            ContrastBolusUsageSequence = 1610561,
            ContrastBolusAgentAdministered = 1610562,
            ContrastBolusAgentDetected = 1610563,
            ContrastBolusAgentPhase = 1610564,
            Ctdivol = 1610565,
            CtdiPhantomTypeCodeSequence = 1610566,
            CalciumScoringMassFactorPatient = 1610577,
            CalciumScoringMassFactorDevice = 1610578,
            EnergyWeightingFactor = 1610579,
            CtAdditionalXRaySourceSequence = 1610592,
            ProjectionPixelCalibrationSequence = 1610753,
            DistanceSourceToIsocenter = 1610754,
            DistanceObjectToTableTop = 1610755,
            ObjectPixelSpacingInCenterOfBeam = 1610756,
            PositionerPositionSequence = 1610757,
            TablePositionSequence = 1610758,
            CollimatorShapeSequence = 1610759,
            PlanesInAcquisition = 1610768,
            XaXrfFrameCharacteristicsSequence = 1610770,
            FrameAcquisitionSequence = 1610775,
            XRayReceptorType = 1610784,
            AcquisitionProtocolName = 1610787,
            AcquisitionProtocolDescription = 1610788,
            ContrastBolusIngredientOpaque = 1610789,
            DistanceReceptorPlaneToDetectorHousing = 1610790,
            IntensifierActiveShape = 1610791,
            IntensifierActiveDimensionS = 1610792,
            PhysicalDetectorSize = 1610793,
            PositionOfIsocenterProjection = 1610800,
            FieldOfViewSequence = 1610802,
            FieldOfViewDescription = 1610803,
            ExposureControlSensingRegionsSequence = 1610804,
            ExposureControlSensingRegionShape = 1610805,
            ExposureControlSensingRegionLeftVerticalEdge = 1610806,
            ExposureControlSensingRegionRightVerticalEdge = 1610807,
            ExposureControlSensingRegionUpperHorizontalEdge = 1610808,
            ExposureControlSensingRegionLowerHorizontalEdge = 1610809,
            CenterOfCircularExposureControlSensingRegion = 1610816,
            RadiusOfCircularExposureControlSensingRegion = 1610817,
            VerticesOfThePolygonalExposureControlSensingRegion = 1610818,
            ColumnAngulationPatient = 1610823,
            BeamAngle = 1610825,
            FrameDetectorParametersSequence = 1610833,
            CalculatedAnatomyThickness = 1610834,
            CalibrationSequence = 1610837,
            ObjectThicknessSequence = 1610838,
            PlaneIdentification = 1610839,
            FieldOfViewDimensionSInFloat = 1610849,
            IsocenterReferenceSystemSequence = 1610850,
            PositionerIsocenterPrimaryAngle = 1610851,
            PositionerIsocenterSecondaryAngle = 1610852,
            PositionerIsocenterDetectorRotationAngle = 1610853,
            TableXPositionToIsocenter = 1610854,
            TableYPositionToIsocenter = 1610855,
            TableZPositionToIsocenter = 1610856,
            TableHorizontalRotationAngle = 1610857,
            TableHeadTiltAngle = 1610864,
            TableCradleTiltAngle = 1610865,
            FrameDisplayShutterSequence = 1610866,
            AcquiredImageAreaDoseProduct = 1610867,
            CArmPositionerTabletopRelationship = 1610868,
            XRayGeometrySequence = 1610870,
            IrradiationEventIdentificationSequence = 1610871,
            XRay3dFrameTypeSequence = 1611012,
            ContributingSourcesSequence = 1611014,
            XRay3dAcquisitionSequence = 1611015,
            PrimaryPositionerScanArc = 1611016,
            SecondaryPositionerScanArc = 1611017,
            PrimaryPositionerScanStartAngle = 1611024,
            SecondaryPositionerScanStartAngle = 1611025,
            PrimaryPositionerIncrement = 1611028,
            SecondaryPositionerIncrement = 1611029,
            StartAcquisitionDatetime = 1611030,
            EndAcquisitionDatetime = 1611031,
            PrimaryPositionerIncrementSign = 1611032,
            SecondaryPositionerIncrementSign = 1611033,
            ApplicationName = 1611044,
            ApplicationVersion = 1611045,
            ApplicationManufacturer = 1611046,
            AlgorithmType = 1611047,
            AlgorithmDescription = 1611048,
            XRay3dReconstructionSequence = 1611056,
            ReconstructionDescription = 1611057,
            PerProjectionAcquisitionSequence = 1611064,
            DetectorPositionSequence = 1611073,
            XRayAcquisitionDoseSequence = 1611074,
            XRaySourceIsocenterPrimaryAngle = 1611075,
            XRaySourceIsocenterSecondaryAngle = 1611076,
            BreastSupportIsocenterPrimaryAngle = 1611077,
            BreastSupportIsocenterSecondaryAngle = 1611078,
            BreastSupportXPositionToIsocenter = 1611079,
            BreastSupportYPositionToIsocenter = 1611080,
            BreastSupportZPositionToIsocenter = 1611081,
            DetectorIsocenterPrimaryAngle = 1611088,
            DetectorIsocenterSecondaryAngle = 1611089,
            DetectorXPositionToIsocenter = 1611090,
            DetectorYPositionToIsocenter = 1611091,
            DetectorZPositionToIsocenter = 1611092,
            XRayGridSequence = 1611093,
            XRayFilterSequence = 1611094,
            DetectorActiveAreaTlhcPosition = 1611095,
            DetectorActiveAreaOrientation = 1611096,
            PositionerPrimaryAngleDirection = 1611097,
            DiffusionBMatrixSequence = 1611265,
            DiffusionBValueXx = 1611266,
            DiffusionBValueXy = 1611267,
            DiffusionBValueXz = 1611268,
            DiffusionBValueYy = 1611269,
            DiffusionBValueYz = 1611270,
            DiffusionBValueZz = 1611271,
            FunctionalMrSequence = 1611297,
            FunctionalSettlingPhaseFramesPresent = 1611298,
            FunctionalSyncPulse = 1611299,
            SettlingPhaseFrame = 1611300,
            DecayCorrectionDatetime = 1611521,
            StartDensityThreshold = 1611541,
            StartRelativeDensityDifferenceThreshold = 1611542,
            StartCardiacTriggerCountThreshold = 1611543,
            StartRespiratoryTriggerCountThreshold = 1611544,
            TerminationCountsThreshold = 1611545,
            TerminationDensityThreshold = 1611552,
            TerminationRelativeDensityThreshold = 1611553,
            TerminationTimeThreshold = 1611554,
            TerminationCardiacTriggerCountThreshold = 1611555,
            TerminationRespiratoryTriggerCountThreshold = 1611556,
            DetectorGeometry = 1611557,
            TransverseDetectorSeparation = 1611558,
            AxialDetectorDimension = 1611559,
            RadiopharmaceuticalAgentNumber = 1611561,
            PetFrameAcquisitionSequence = 1611570,
            PetDetectorMotionDetailsSequence = 1611571,
            PetTableDynamicsSequence = 1611572,
            PetPositionSequence = 1611573,
            PetFrameCorrectionFactorsSequence = 1611574,
            RadiopharmaceuticalUsageSequence = 1611575,
            AttenuationCorrectionSource = 1611576,
            NumberOfIterations = 1611577,
            NumberOfSubsets = 1611584,
            PetReconstructionSequence = 1611593,
            PetFrameTypeSequence = 1611601,
            TimeOfFlightInformationUsed = 1611605,
            ReconstructionType = 1611606,
            DecayCorrected = 1611608,
            AttenuationCorrected = 1611609,
            ScatterCorrected = 1611616,
            DeadTimeCorrected = 1611617,
            GantryMotionCorrected = 1611618,
            PatientMotionCorrected = 1611619,
            CountLossNormalizationCorrected = 1611620,
            RandomsCorrected = 1611621,
            NonUniformRadialSamplingCorrected = 1611622,
            SensitivityCalibrated = 1611623,
            DetectorNormalizationCorrection = 1611624,
            IterativeReconstructionMethod = 1611625,
            AttenuationCorrectionTemporalRelationship = 1611632,
            PatientPhysiologicalStateSequence = 1611633,
            PatientPhysiologicalStateCodeSequence = 1611634,
            DepthSOfFocus = 1611777,
            ExcludedIntervalsSequence = 1611779,
            ExclusionStartDatetime = 1611780,
            ExclusionDuration = 1611781,
            UsImageDescriptionSequence = 1611782,
            ImageDataTypeSequence = 1611783,
            DataType = 1611784,
            TransducerScanPatternCodeSequence = 1611785,
            AliasedDataType = 1611787,
            PositionMeasuringDeviceUsed = 1611788,
            TransducerGeometryCodeSequence = 1611789,
            TransducerBeamSteeringCodeSequence = 1611790,
            TransducerApplicationCodeSequence = 1611791,
            ZeroVelocityPixelValue = 1611792,
            ContributingEquipmentSequence = 1613825,
            ContributionDatetime = 1613826,
            ContributionDescription = 1613827,
            StudyInstanceUid = 2097165,
            SeriesInstanceUid = 2097166,
            StudyId = 2097168,
            SeriesNumber = 2097169,
            AcquisitionNumber = 2097170,
            InstanceNumber = 2097171,
            IsotopeNumber = 2097172,
            PhaseNumber = 2097173,
            IntervalNumber = 2097174,
            TimeSlotNumber = 2097175,
            AngleNumber = 2097176,
            ItemNumber = 2097177,
            PatientOrientation = 2097184,
            OverlayNumber = 2097186,
            CurveNumber = 2097188,
            LutNumber = 2097190,
            ImagePosition = 2097200,
            ImagePositionPatient = 2097202,
            ImageOrientation = 2097205,
            ImageOrientationPatient = 2097207,
            Location = 2097232,
            FrameOfReferenceUid = 2097234,
            Laterality = 2097248,
            ImageLaterality = 2097250,
            ImageGeometryType = 2097264,
            MaskingImage = 2097280,
            ReportNumber = 2097322,
            TemporalPositionIdentifier = 2097408,
            NumberOfTemporalPositions = 2097413,
            TemporalResolution = 2097424,
            SynchronizationFrameOfReferenceUid = 2097664,
            SopInstanceUidOfConcatenationSource = 2097730,
            SeriesInStudy = 2101248,
            AcquisitionsInSeries = 2101249,
            ImagesInAcquisition = 2101250,
            ImagesInSeries = 2101251,
            AcquisitionsInStudy = 2101252,
            ImagesInStudy = 2101253,
            Reference = 2101280,
            PositionReferenceIndicator = 2101312,
            SliceLocation = 2101313,
            OtherStudyNumbers = 2101360,
            NumberOfPatientRelatedStudies = 2101760,
            NumberOfPatientRelatedSeries = 2101762,
            NumberOfPatientRelatedInstances = 2101764,
            NumberOfStudyRelatedSeries = 2101766,
            NumberOfStudyRelatedInstances = 2101768,
            NumberOfSeriesRelatedInstances = 2101769,
            ModifyingDeviceId = 2110465,
            ModifiedImageId = 2110466,
            ModifiedImageDate = 2110467,
            ModifyingDeviceManufacturer = 2110468,
            ModifiedImageTime = 2110469,
            ModifiedImageDescription = 2110470,
            ImageComments = 2113536,
            OriginalImageIdentification = 2117632,
            OriginalImageIdentificationNomenclature = 2117634,
            StackId = 2134102,
            InStackPositionNumber = 2134103,
            FrameAnatomySequence = 2134129,
            FrameLaterality = 2134130,
            FrameContentSequence = 2134289,
            PlanePositionSequence = 2134291,
            PlaneOrientationSequence = 2134294,
            TemporalPositionIndex = 2134312,
            NominalCardiacTriggerDelayTime = 2134355,
            NominalCardiacTriggerTimePriorToRPeak = 2134356,
            ActualCardiacTriggerTimePriorToRPeak = 2134357,
            FrameAcquisitionNumber = 2134358,
            DimensionIndexValues = 2134359,
            FrameComments = 2134360,
            ConcatenationUid = 2134369,
            InConcatenationNumber = 2134370,
            InConcatenationTotalNumber = 2134371,
            DimensionOrganizationUid = 2134372,
            DimensionIndexPointer = 2134373,
            FunctionalGroupPointer = 2134375,
            UnassignedSharedConvertedAttributesSequence = 2134384,
            UnassignedPerFrameConvertedAttributesSequence = 2134385,
            ConversionSourceAttributesSequence = 2134386,
            DimensionIndexPrivateCreator = 2134547,
            DimensionOrganizationSequence = 2134561,
            DimensionIndexSequence = 2134562,
            ConcatenationFrameOffsetNumber = 2134568,
            FunctionalGroupPrivateCreator = 2134584,
            NominalPercentageOfCardiacPhase = 2134593,
            NominalPercentageOfRespiratoryPhase = 2134597,
            StartingRespiratoryAmplitude = 2134598,
            StartingRespiratoryPhase = 2134599,
            EndingRespiratoryAmplitude = 2134600,
            EndingRespiratoryPhase = 2134601,
            RespiratoryTriggerType = 2134608,
            RRIntervalTimeNominal = 2134609,
            ActualCardiacTriggerDelayTime = 2134610,
            RespiratorySynchronizationSequence = 2134611,
            RespiratoryIntervalTime = 2134612,
            NominalRespiratoryTriggerDelayTime = 2134613,
            RespiratoryTriggerDelayThreshold = 2134614,
            ActualRespiratoryTriggerDelayTime = 2134615,
            ImagePositionVolume = 2134785,
            ImageOrientationVolume = 2134786,
            UltrasoundAcquisitionGeometry = 2134791,
            ApexPosition = 2134792,
            VolumeToTransducerMappingMatrix = 2134793,
            VolumeToTableMappingMatrix = 2134794,
            VolumeToTransducerRelationship = 2134795,
            PatientFrameOfReferenceSource = 2134796,
            TemporalPositionTimeOffset = 2134797,
            PlanePositionVolumeSequence = 2134798,
            PlaneOrientationVolumeSequence = 2134799,
            TemporalPositionSequence = 2134800,
            DimensionOrganizationType = 2134801,
            VolumeFrameOfReferenceUid = 2134802,
            TableFrameOfReferenceUid = 2134803,
            DimensionDescriptionLabel = 2135073,
            PatientOrientationInFrameSequence = 2135120,
            FrameLabel = 2135123,
            AcquisitionIndex = 2135320,
            ContributingSopInstancesReferenceSequence = 2135337,
            ReconstructionIndex = 2135350,
            LightPathFilterPassThroughWavelength = 2228225,
            LightPathFilterPassBand = 2228226,
            ImagePathFilterPassThroughWavelength = 2228227,
            ImagePathFilterPassBand = 2228228,
            PatientEyeMovementCommanded = 2228229,
            PatientEyeMovementCommandCodeSequence = 2228230,
            SphericalLensPower = 2228231,
            CylinderLensPower = 2228232,
            CylinderAxis = 2228233,
            EmmetropicMagnification = 2228234,
            IntraOcularPressure = 2228235,
            HorizontalFieldOfView = 2228236,
            PupilDilated = 2228237,
            DegreeOfDilation = 2228238,
            StereoBaselineAngle = 2228240,
            StereoBaselineDisplacement = 2228241,
            StereoHorizontalPixelOffset = 2228242,
            StereoVerticalPixelOffset = 2228243,
            StereoRotation = 2228244,
            AcquisitionDeviceTypeCodeSequence = 2228245,
            IlluminationTypeCodeSequence = 2228246,
            LightPathFilterTypeStackCodeSequence = 2228247,
            ImagePathFilterTypeStackCodeSequence = 2228248,
            LensesCodeSequence = 2228249,
            ChannelDescriptionCodeSequence = 2228250,
            RefractiveStateSequence = 2228251,
            MydriaticAgentCodeSequence = 2228252,
            RelativeImagePositionCodeSequence = 2228253,
            CameraAngleOfView = 2228254,
            StereoPairsSequence = 2228256,
            LeftImageSequence = 2228257,
            RightImageSequence = 2228258,
            StereoPairsPresent = 2228264,
            AxialLengthOfTheEye = 2228272,
            OphthalmicFrameLocationSequence = 2228273,
            ReferenceCoordinates = 2228274,
            DepthSpatialResolution = 2228277,
            MaximumDepthDistortion = 2228278,
            AlongScanSpatialResolution = 2228279,
            MaximumAlongScanDistortion = 2228280,
            OphthalmicImageOrientation = 2228281,
            DepthOfTransverseImage = 2228289,
            MydriaticAgentConcentrationUnitsSequence = 2228290,
            AcrossScanSpatialResolution = 2228296,
            MaximumAcrossScanDistortion = 2228297,
            MydriaticAgentConcentration = 2228302,
            IlluminationWaveLength = 2228309,
            IlluminationPower = 2228310,
            IlluminationBandwidth = 2228311,
            MydriaticAgentSequence = 2228312,
            OphthalmicAxialMeasurementsRightEyeSequence = 2232327,
            OphthalmicAxialMeasurementsLeftEyeSequence = 2232328,
            OphthalmicAxialMeasurementsDeviceType = 2232329,
            OphthalmicAxialLengthMeasurementsType = 2232336,
            OphthalmicAxialLengthSequence = 2232338,
            OphthalmicAxialLength = 2232345,
            LensStatusCodeSequence = 2232356,
            VitreousStatusCodeSequence = 2232357,
            IolFormulaCodeSequence = 2232360,
            IolFormulaDetail = 2232361,
            KeratometerIndex = 2232371,
            SourceOfOphthalmicAxialLengthCodeSequence = 2232373,
            TargetRefraction = 2232375,
            RefractiveProcedureOccurred = 2232377,
            RefractiveSurgeryTypeCodeSequence = 2232384,
            OphthalmicUltrasoundMethodCodeSequence = 2232388,
            OphthalmicAxialLengthMeasurementsSequence = 2232400,
            IolPower = 2232403,
            PredictedRefractiveError = 2232404,
            OphthalmicAxialLengthVelocity = 2232409,
            LensStatusDescription = 2232421,
            VitreousStatusDescription = 2232422,
            IolPowerSequence = 2232464,
            LensConstantSequence = 2232466,
            IolManufacturer = 2232467,
            LensConstantDescription = 2232468,
            ImplantName = 2232469,
            KeratometryMeasurementTypeCodeSequence = 2232470,
            ImplantPartNumber = 2232471,
            ReferencedOphthalmicAxialMeasurementsSequence = 2232576,
            OphthalmicAxialLengthMeasurementsSegmentNameCodeSequence = 2232577,
            RefractiveErrorBeforeRefractiveSurgeryCodeSequence = 2232579,
            IolPowerForExactEmmetropia = 2232609,
            IolPowerForExactTargetRefraction = 2232610,
            AnteriorChamberDepthDefinitionCodeSequence = 2232613,
            LensThicknessSequence = 2232615,
            AnteriorChamberDepthSequence = 2232616,
            LensThickness = 2232624,
            AnteriorChamberDepth = 2232625,
            SourceOfLensThicknessDataCodeSequence = 2232626,
            SourceOfAnteriorChamberDepthDataCodeSequence = 2232627,
            SourceOfRefractiveMeasurementsSequence = 2232628,
            SourceOfRefractiveMeasurementsCodeSequence = 2232629,
            OphthalmicAxialLengthMeasurementModified = 2232640,
            OphthalmicAxialLengthDataSourceCodeSequence = 2232656,
            OphthalmicAxialLengthAcquisitionMethodCodeSequence = 2232659,
            SignalToNoiseRatio = 2232661,
            OphthalmicAxialLengthDataSourceDescription = 2232665,
            OphthalmicAxialLengthMeasurementsTotalLengthSequence = 2232848,
            OphthalmicAxialLengthMeasurementsSegmentalLengthSequence = 2232849,
            OphthalmicAxialLengthMeasurementsLengthSummationSequence = 2232850,
            UltrasoundOphthalmicAxialLengthMeasurementsSequence = 2232864,
            OpticalOphthalmicAxialLengthMeasurementsSequence = 2232869,
            UltrasoundSelectedOphthalmicAxialLengthSequence = 2232880,
            OphthalmicAxialLengthSelectionMethodCodeSequence = 2232912,
            OpticalSelectedOphthalmicAxialLengthSequence = 2232917,
            SelectedSegmentalOphthalmicAxialLengthSequence = 2232919,
            SelectedTotalOphthalmicAxialLengthSequence = 2232928,
            OphthalmicAxialLengthQualityMetricSequence = 2232930,
            OphthalmicAxialLengthQualityMetricTypeCodeSequence = 2232933,
            OphthalmicAxialLengthQualityMetricTypeDescription = 2232947,
            IntraocularLensCalculationsRightEyeSequence = 2233088,
            IntraocularLensCalculationsLeftEyeSequence = 2233104,
            ReferencedOphthalmicAxialLengthMeasurementQcImageSequence = 2233136,
            OphthalmicMappingDeviceType = 2233365,
            AcquisitionMethodCodeSequence = 2233376,
            AcquisitionMethodAlgorithmSequence = 2233379,
            OphthalmicThicknessMapTypeCodeSequence = 2233398,
            OphthalmicThicknessMappingNormalsSequence = 2233411,
            RetinalThicknessDefinitionCodeSequence = 2233413,
            PixelValueMappingToCodedConceptSequence = 2233424,
            MappedPixelValue = 2233426,
            PixelValueMappingExplanation = 2233428,
            OphthalmicThicknessMapQualityThresholdSequence = 2233432,
            OphthalmicThicknessMapThresholdQualityRating = 2233440,
            AnatomicStructureReferencePoint = 2233443,
            RegistrationToLocalizerSequence = 2233445,
            RegisteredLocalizerUnits = 2233446,
            RegisteredLocalizerTopLeftHandCorner = 2233447,
            RegisteredLocalizerBottomRightHandCorner = 2233448,
            OphthalmicThicknessMapQualityRatingSequence = 2233456,
            RelevantOptAttributesSequence = 2233458,
            TransformationMethodCodeSequence = 2233618,
            TransformationAlgorithmSequence = 2233619,
            OphthalmicAxialLengthMethod = 2233621,
            OphthalmicFov = 2233623,
            TwoDimensionalToThreeDimensionalMapSequence = 2233624,
            WideFieldOphthalmicPhotographyQualityRatingSequence = 2233637,
            WideFieldOphthalmicPhotographyQualityThresholdSequence = 2233638,
            WideFieldOphthalmicPhotographyThresholdQualityRating = 2233639,
            XCoordinatesCenterPixelViewAngle = 2233640,
            YCoordinatesCenterPixelViewAngle = 2233641,
            NumberOfMapPoints = 2233648,
            TwoDimensionalToThreeDimensionalMapData = 2233649,
            VisualFieldHorizontalExtent = 2359312,
            VisualFieldVerticalExtent = 2359313,
            VisualFieldShape = 2359314,
            ScreeningTestModeCodeSequence = 2359318,
            MaximumStimulusLuminance = 2359320,
            BackgroundLuminance = 2359328,
            StimulusColorCodeSequence = 2359329,
            BackgroundIlluminationColorCodeSequence = 2359332,
            StimulusArea = 2359333,
            StimulusPresentationTime = 2359336,
            FixationSequence = 2359346,
            FixationMonitoringCodeSequence = 2359347,
            VisualFieldCatchTrialSequence = 2359348,
            FixationCheckedQuantity = 2359349,
            PatientNotProperlyFixatedQuantity = 2359350,
            PresentedVisualStimuliDataFlag = 2359351,
            NumberOfVisualStimuli = 2359352,
            ExcessiveFixationLossesDataFlag = 2359353,
            ExcessiveFixationLosses = 2359360,
            StimuliRetestingQuantity = 2359362,
            CommentsOnPatientSPerformanceOfVisualField = 2359364,
            FalseNegativesEstimateFlag = 2359365,
            FalseNegativesEstimate = 2359366,
            NegativeCatchTrialsQuantity = 2359368,
            FalseNegativesQuantity = 2359376,
            ExcessiveFalseNegativesDataFlag = 2359377,
            ExcessiveFalseNegatives = 2359378,
            FalsePositivesEstimateFlag = 2359379,
            FalsePositivesEstimate = 2359380,
            CatchTrialsDataFlag = 2359381,
            PositiveCatchTrialsQuantity = 2359382,
            TestPointNormalsDataFlag = 2359383,
            TestPointNormalsSequence = 2359384,
            GlobalDeviationProbabilityNormalsFlag = 2359385,
            FalsePositivesQuantity = 2359392,
            ExcessiveFalsePositivesDataFlag = 2359393,
            ExcessiveFalsePositives = 2359394,
            VisualFieldTestNormalsFlag = 2359395,
            ResultsNormalsSequence = 2359396,
            AgeCorrectedSensitivityDeviationAlgorithmSequence = 2359397,
            GlobalDeviationFromNormal = 2359398,
            GeneralizedDefectSensitivityDeviationAlgorithmSequence = 2359399,
            LocalizedDeviationFromNormal = 2359400,
            PatientReliabilityIndicator = 2359401,
            VisualFieldMeanSensitivity = 2359408,
            GlobalDeviationProbability = 2359409,
            LocalDeviationProbabilityNormalsFlag = 2359410,
            LocalizedDeviationProbability = 2359411,
            ShortTermFluctuationCalculated = 2359412,
            ShortTermFluctuation = 2359413,
            ShortTermFluctuationProbabilityCalculated = 2359414,
            ShortTermFluctuationProbability = 2359415,
            CorrectedLocalizedDeviationFromNormalCalculated = 2359416,
            CorrectedLocalizedDeviationFromNormal = 2359417,
            CorrectedLocalizedDeviationFromNormalProbabilityCalculated = 2359424,
            CorrectedLocalizedDeviationFromNormalProbability = 2359425,
            GlobalDeviationProbabilitySequence = 2359427,
            LocalizedDeviationProbabilitySequence = 2359429,
            FovealSensitivityMeasured = 2359430,
            FovealSensitivity = 2359431,
            VisualFieldTestDuration = 2359432,
            VisualFieldTestPointSequence = 2359433,
            VisualFieldTestPointXCoordinate = 2359440,
            VisualFieldTestPointYCoordinate = 2359441,
            AgeCorrectedSensitivityDeviationValue = 2359442,
            StimulusResults = 2359443,
            SensitivityValue = 2359444,
            RetestStimulusSeen = 2359445,
            RetestSensitivityValue = 2359446,
            VisualFieldTestPointNormalsSequence = 2359447,
            QuantifiedDefect = 2359448,
            AgeCorrectedSensitivityDeviationProbabilityValue = 2359552,
            GeneralizedDefectCorrectedSensitivityDeviationFlag = 2359554,
            GeneralizedDefectCorrectedSensitivityDeviationValue = 2359555,
            GeneralizedDefectCorrectedSensitivityDeviationProbabilityValue = 2359556,
            MinimumSensitivityValue = 2359557,
            BlindSpotLocalized = 2359558,
            BlindSpotXCoordinate = 2359559,
            BlindSpotYCoordinate = 2359560,
            VisualAcuityMeasurementSequence = 2359568,
            RefractiveParametersUsedOnPatientSequence = 2359570,
            MeasurementLaterality = 2359571,
            OphthalmicPatientClinicalInformationLeftEyeSequence = 2359572,
            OphthalmicPatientClinicalInformationRightEyeSequence = 2359573,
            FovealPointNormativeDataFlag = 2359575,
            FovealPointProbabilityValue = 2359576,
            ScreeningBaselineMeasured = 2359584,
            ScreeningBaselineMeasuredSequence = 2359586,
            ScreeningBaselineType = 2359588,
            ScreeningBaselineValue = 2359590,
            AlgorithmSource = 2359810,
            DataSetName = 2360070,
            DataSetVersion = 2360071,
            DataSetSource = 2360072,
            DataSetDescription = 2360073,
            VisualFieldTestReliabilityGlobalIndexSequence = 2360087,
            VisualFieldGlobalResultsIndexSequence = 2360096,
            DataObservationSequence = 2360101,
            IndexNormalsFlag = 2360120,
            IndexProbability = 2360129,
            IndexProbabilitySequence = 2360132,
            SamplesPerPixel = 2621442,
            SamplesPerPixelUsed = 2621443,
            PhotometricInterpretation = 2621444,
            ImageDimensions = 2621445,
            PlanarConfiguration = 2621446,
            NumberOfFrames = 2621448,
            FrameIncrementPointer = 2621449,
            FrameDimensionPointer = 2621450,
            Rows = 2621456,
            Columns = 2621457,
            Planes = 2621458,
            UltrasoundColorDataPresent = 2621460,
            PixelSpacing = 2621488,
            ZoomFactor = 2621489,
            ZoomCenter = 2621490,
            PixelAspectRatio = 2621492,
            ImageFormat = 2621504,
            ManipulatedImage = 2621520,
            CorrectedImage = 2621521,
            CompressionRecognitionCode = 2621535,
            CompressionCode = 2621536,
            CompressionOriginator = 2621537,
            CompressionLabel = 2621538,
            CompressionDescription = 2621539,
            CompressionSequence = 2621541,
            CompressionStepPointers = 2621542,
            RepeatInterval = 2621544,
            BitsGrouped = 2621545,
            PerimeterTable = 2621552,
            PerimeterValue = 2621553,
            PredictorRows = 2621568,
            PredictorColumns = 2621569,
            PredictorConstants = 2621570,
            BlockedPixels = 2621584,
            BlockRows = 2621585,
            BlockColumns = 2621586,
            RowOverlap = 2621587,
            ColumnOverlap = 2621588,
            BitsAllocated = 2621696,
            BitsStored = 2621697,
            HighBit = 2621698,
            PixelRepresentation = 2621699,
            SmallestValidPixelValue = 2621700,
            LargestValidPixelValue = 2621701,
            SmallestImagePixelValue = 2621702,
            LargestImagePixelValue = 2621703,
            SmallestPixelValueInSeries = 2621704,
            LargestPixelValueInSeries = 2621705,
            SmallestImagePixelValueInPlane = 2621712,
            LargestImagePixelValueInPlane = 2621713,
            PixelPaddingValue = 2621728,
            PixelPaddingRangeLimit = 2621729,
            FloatPixelPaddingValue = 2621730,
            DoubleFloatPixelPaddingValue = 2621731,
            FloatPixelPaddingRangeLimit = 2621732,
            DoubleFloatPixelPaddingRangeLimit = 2621733,
            ImageLocation = 2621952,
            QualityControlImage = 2622208,
            BurnedInAnnotation = 2622209,
            RecognizableVisualFeatures = 2622210,
            LongitudinalTemporalInformationModified = 2622211,
            ReferencedColorPaletteInstanceUid = 2622212,
            TransformLabel = 2622464,
            TransformVersionNumber = 2622465,
            NumberOfTransformSteps = 2622466,
            SequenceOfCompressedData = 2622467,
            DetailsOfCoefficients = 2622468,
            DctLabel = 2623232,
            DataBlockDescription = 2623233,
            DataBlock = 2623234,
            NormalizationFactorFormat = 2623248,
            ZonalMapNumberFormat = 2623264,
            ZonalMapLocation = 2623265,
            ZonalMapFormat = 2623266,
            AdaptiveMapFormat = 2623280,
            CodeNumberFormat = 2623296,
            PixelSpacingCalibrationType = 2624002,
            PixelSpacingCalibrationDescription = 2624004,
            PixelIntensityRelationship = 2625600,
            PixelIntensityRelationshipSign = 2625601,
            WindowCenter = 2625616,
            WindowWidth = 2625617,
            RescaleIntercept = 2625618,
            RescaleSlope = 2625619,
            RescaleType = 2625620,
            WindowCenterWidthExplanation = 2625621,
            VoiLutFunction = 2625622,
            GrayScale = 2625664,
            RecommendedViewingMode = 2625680,
            GrayLookupTableDescriptor = 2625792,
            RedPaletteColorLookupTableDescriptor = 2625793,
            GreenPaletteColorLookupTableDescriptor = 2625794,
            BluePaletteColorLookupTableDescriptor = 2625795,
            AlphaPaletteColorLookupTableDescriptor = 2625796,
            LargeRedPaletteColorLookupTableDescriptor = 2625809,
            LargeGreenPaletteColorLookupTableDescriptor = 2625810,
            LargeBluePaletteColorLookupTableDescriptor = 2625811,
            PaletteColorLookupTableUid = 2625945,
            GrayLookupTableData = 2626048,
            RedPaletteColorLookupTableData = 2626049,
            GreenPaletteColorLookupTableData = 2626050,
            BluePaletteColorLookupTableData = 2626051,
            AlphaPaletteColorLookupTableData = 2626052,
            LargeRedPaletteColorLookupTableData = 2626065,
            LargeGreenPaletteColorLookupTableData = 2626066,
            LargeBluePaletteColorLookupTableData = 2626067,
            LargePaletteColorLookupTableUid = 2626068,
            SegmentedRedPaletteColorLookupTableData = 2626081,
            SegmentedGreenPaletteColorLookupTableData = 2626082,
            SegmentedBluePaletteColorLookupTableData = 2626083,
            SegmentedAlphaPaletteColorLookupTableData = 2626084,
            BreastImplantPresent = 2626304,
            PartialView = 2626384,
            PartialViewDescription = 2626385,
            PartialViewCodeSequence = 2626386,
            SpatialLocationsPreserved = 2626394,
            DataFrameAssignmentSequence = 2626561,
            DataPathAssignment = 2626562,
            BitsMappedToColorLookupTable = 2626563,
            BlendingLut1Sequence = 2626564,
            BlendingLut1TransferFunction = 2626565,
            BlendingWeightConstant = 2626566,
            BlendingLookupTableDescriptor = 2626567,
            BlendingLookupTableData = 2626568,
            EnhancedPaletteColorLookupTableSequence = 2626571,
            BlendingLut2Sequence = 2626572,
            BlendingLut2TransferFunction = 2626573,
            DataPathId = 2626574,
            RgbLutTransferFunction = 2626575,
            AlphaLutTransferFunction = 2626576,
            IccProfile = 2629632,
            ColorSpace = 2629634,
            LossyImageCompression = 2629904,
            LossyImageCompressionRatio = 2629906,
            LossyImageCompressionMethod = 2629908,
            ModalityLutSequence = 2633728,
            LutDescriptor = 2633730,
            LutExplanation = 2633731,
            ModalityLutType = 2633732,
            LutData = 2633734,
            VoiLutSequence = 2633744,
            SoftcopyVoiLutSequence = 2634000,
            ImagePresentationComments = 2637824,
            BiPlaneAcquisitionSequence = 2641920,
            RepresentativeFrameNumber = 2646032,
            FrameNumbersOfInterestFoi = 2646048,
            FrameOfInterestDescription = 2646050,
            FrameOfInterestType = 2646051,
            MaskPointerS = 2646064,
            RWavePointer = 2646080,
            MaskSubtractionSequence = 2646272,
            MaskOperation = 2646273,
            ApplicableFrameRange = 2646274,
            MaskFrameNumbers = 2646288,
            ContrastFrameAveraging = 2646290,
            MaskSubPixelShift = 2646292,
            TidOffset = 2646304,
            MaskOperationExplanation = 2646416,
            EquipmentAdministratorSequence = 2650112,
            NumberOfDisplaySubsystems = 2650113,
            CurrentConfigurationId = 2650114,
            DisplaySubsystemId = 2650115,
            DisplaySubsystemName = 2650116,
            DisplaySubsystemDescription = 2650117,
            SystemStatus = 2650118,
            SystemStatusComment = 2650119,
            TargetLuminanceCharacteristicsSequence = 2650120,
            LuminanceCharacteristicsId = 2650121,
            DisplaySubsystemConfigurationSequence = 2650122,
            ConfigurationId = 2650123,
            ConfigurationName = 2650124,
            ConfigurationDescription = 2650125,
            ReferencedTargetLuminanceCharacteristicsId = 2650126,
            QaResultsSequence = 2650127,
            DisplaySubsystemQaResultsSequence = 2650128,
            ConfigurationQaResultsSequence = 2650129,
            MeasurementEquipmentSequence = 2650130,
            MeasurementFunctions = 2650131,
            MeasurementEquipmentType = 2650132,
            VisualEvaluationResultSequence = 2650133,
            DisplayCalibrationResultSequence = 2650134,
            DdlValue = 2650135,
            CiexyWhitePoint = 2650136,
            DisplayFunctionType = 2650137,
            GammaValue = 2650138,
            NumberOfLuminancePoints = 2650139,
            LuminanceResponseSequence = 2650140,
            TargetMinimumLuminance = 2650141,
            TargetMaximumLuminance = 2650142,
            LuminanceValue = 2650143,
            LuminanceResponseDescription = 2650144,
            WhitePointFlag = 2650145,
            DisplayDeviceTypeCodeSequence = 2650146,
            DisplaySubsystemSequence = 2650147,
            LuminanceResultSequence = 2650148,
            AmbientLightValueSource = 2650149,
            MeasuredCharacteristics = 2650150,
            LuminanceUniformityResultSequence = 2650151,
            VisualEvaluationTestSequence = 2650152,
            TestResult = 2650153,
            TestResultComment = 2650154,
            TestImageValidation = 2650155,
            TestPatternCodeSequence = 2650156,
            MeasurementPatternCodeSequence = 2650157,
            VisualEvaluationMethodCodeSequence = 2650158,
            PixelDataProviderUrl = 2654176,
            DataPointRows = 2658305,
            DataPointColumns = 2658306,
            SignalDomainColumns = 2658307,
            LargestMonochromePixelValue = 2658457,
            DataRepresentation = 2658568,
            PixelMeasuresSequence = 2658576,
            FrameVoiLutSequence = 2658610,
            PixelValueTransformationSequence = 2658629,
            SignalDomainRows = 2658869,
            DisplayFilterPercentage = 2659345,
            FramePixelShiftSequence = 2659349,
            SubtractionItemId = 2659350,
            PixelIntensityRelationshipLutSequence = 2659362,
            FramePixelDataPropertiesSequence = 2659395,
            GeometricalProperties = 2659396,
            GeometricMaximumDistortion = 2659397,
            ImageProcessingApplied = 2659398,
            MaskSelectionMode = 2659412,
            LutFunction = 2659444,
            MaskVisibilityPercentage = 2659448,
            PixelShiftSequence = 2659585,
            RegionPixelShiftSequence = 2659586,
            VerticesOfTheRegion = 2659587,
            MultiFramePresentationSequence = 2659589,
            PixelShiftFrameRange = 2659590,
            LutFrameRange = 2659591,
            ImageToEquipmentMappingMatrix = 2659616,
            EquipmentCoordinateSystemIdentification = 2659639,
            StudyStatusId = 3276810,
            StudyPriorityId = 3276812,
            StudyIdIssuer = 3276818,
            StudyVerifiedDate = 3276850,
            StudyVerifiedTime = 3276851,
            StudyReadDate = 3276852,
            StudyReadTime = 3276853,
            ScheduledStudyStartDate = 3280896,
            ScheduledStudyStartTime = 3280897,
            ScheduledStudyStopDate = 3280912,
            ScheduledStudyStopTime = 3280913,
            ScheduledStudyLocation = 3280928,
            ScheduledStudyLocationAeTitle = 3280929,
            ReasonForStudy = 3280944,
            RequestingPhysicianIdentificationSequence = 3280945,
            RequestingPhysician = 3280946,
            RequestingService = 3280947,
            RequestingServiceCodeSequence = 3280948,
            StudyArrivalDate = 3280960,
            StudyArrivalTime = 3280961,
            StudyCompletionDate = 3280976,
            StudyCompletionTime = 3280977,
            StudyComponentStatusId = 3280981,
            RequestedProcedureDescription = 3280992,
            RequestedProcedureCodeSequence = 3280996,
            RequestedContrastAgent = 3281008,
            StudyComments = 3293184,
            ReferencedPatientAliasSequence = 3670020,
            VisitStatusId = 3670024,
            AdmissionId = 3670032,
            IssuerOfAdmissionId = 3670033,
            IssuerOfAdmissionIdSequence = 3670036,
            RouteOfAdmissions = 3670038,
            ScheduledAdmissionDate = 3670042,
            ScheduledAdmissionTime = 3670043,
            ScheduledDischargeDate = 3670044,
            ScheduledDischargeTime = 3670045,
            ScheduledPatientInstitutionResidence = 3670046,
            AdmittingDate = 3670048,
            AdmittingTime = 3670049,
            DischargeDate = 3670064,
            DischargeTime = 3670066,
            DischargeDiagnosisDescription = 3670080,
            DischargeDiagnosisCodeSequence = 3670084,
            SpecialNeeds = 3670096,
            ServiceEpisodeId = 3670112,
            IssuerOfServiceEpisodeId = 3670113,
            ServiceEpisodeDescription = 3670114,
            IssuerOfServiceEpisodeIdSequence = 3670116,
            PertinentDocumentsSequence = 3670272,
            PertinentResourcesSequence = 3670273,
            ResourceDescription = 3670274,
            CurrentPatientLocation = 3670784,
            PatientSInstitutionResidence = 3671040,
            PatientState = 3671296,
            PatientClinicalTrialParticipationSequence = 3671298,
            VisitComments = 3686400,
            WaveformOriginality = 3801092,
            NumberOfWaveformChannels = 3801093,
            NumberOfWaveformSamples = 3801104,
            SamplingFrequency = 3801114,
            MultiplexGroupLabel = 3801120,
            ChannelDefinitionSequence = 3801600,
            WaveformChannelNumber = 3801602,
            ChannelLabel = 3801603,
            ChannelStatus = 3801605,
            ChannelSourceSequence = 3801608,
            ChannelSourceModifiersSequence = 3801609,
            SourceWaveformSequence = 3801610,
            ChannelDerivationDescription = 3801612,
            ChannelSensitivity = 3801616,
            ChannelSensitivityUnitsSequence = 3801617,
            ChannelSensitivityCorrectionFactor = 3801618,
            ChannelBaseline = 3801619,
            ChannelTimeSkew = 3801620,
            ChannelSampleSkew = 3801621,
            ChannelOffset = 3801624,
            WaveformBitsStored = 3801626,
            FilterLowFrequency = 3801632,
            FilterHighFrequency = 3801633,
            NotchFilterFrequency = 3801634,
            NotchFilterBandwidth = 3801635,
            WaveformDataDisplayScale = 3801648,
            WaveformDisplayBackgroundCielabValue = 3801649,
            WaveformPresentationGroupSequence = 3801664,
            PresentationGroupNumber = 3801665,
            ChannelDisplaySequence = 3801666,
            ChannelRecommendedDisplayCielabValue = 3801668,
            ChannelPosition = 3801669,
            DisplayShadingFlag = 3801670,
            FractionalChannelDisplayScale = 3801671,
            AbsoluteChannelDisplayScale = 3801672,
            MultiplexedAudioChannelsDescriptionCodeSequence = 3801856,
            ChannelIdentificationCode = 3801857,
            ChannelMode = 3801858,
            ScheduledStationAeTitle = 4194305,
            ScheduledProcedureStepStartDate = 4194306,
            ScheduledProcedureStepStartTime = 4194307,
            ScheduledProcedureStepEndDate = 4194308,
            ScheduledProcedureStepEndTime = 4194309,
            ScheduledPerformingPhysicianSName = 4194310,
            ScheduledProcedureStepDescription = 4194311,
            ScheduledProtocolCodeSequence = 4194312,
            ScheduledProcedureStepId = 4194313,
            StageCodeSequence = 4194314,
            ScheduledPerformingPhysicianIdentificationSequence = 4194315,
            ScheduledStationName = 4194320,
            ScheduledProcedureStepLocation = 4194321,
            PreMedication = 4194322,
            ScheduledProcedureStepStatus = 4194336,
            OrderPlacerIdentifierSequence = 4194342,
            OrderFillerIdentifierSequence = 4194343,
            LocalNamespaceEntityId = 4194353,
            UniversalEntityId = 4194354,
            UniversalEntityIdType = 4194355,
            IdentifierTypeCode = 4194357,
            AssigningFacilitySequence = 4194358,
            AssigningJurisdictionCodeSequence = 4194361,
            AssigningAgencyOrDepartmentCodeSequence = 4194362,
            ScheduledProcedureStepSequence = 4194560,
            ReferencedNonImageCompositeSopInstanceSequence = 4194848,
            PerformedStationAeTitle = 4194881,
            PerformedStationName = 4194882,
            PerformedLocation = 4194883,
            PerformedProcedureStepStartDate = 4194884,
            PerformedProcedureStepStartTime = 4194885,
            PerformedProcedureStepEndDate = 4194896,
            PerformedProcedureStepEndTime = 4194897,
            PerformedProcedureStepStatus = 4194898,
            PerformedProcedureStepId = 4194899,
            PerformedProcedureStepDescription = 4194900,
            PerformedProcedureTypeDescription = 4194901,
            PerformedProtocolCodeSequence = 4194912,
            PerformedProtocolType = 4194913,
            ScheduledStepAttributesSequence = 4194928,
            RequestAttributesSequence = 4194933,
            CommentsOnThePerformedProcedureStep = 4194944,
            PerformedProcedureStepDiscontinuationReasonCodeSequence = 4194945,
            QuantitySequence = 4194963,
            Quantity = 4194964,
            MeasuringUnitsSequence = 4194965,
            BillingItemSequence = 4194966,
            TotalTimeOfFluoroscopy = 4195072,
            TotalNumberOfExposures = 4195073,
            EntranceDose = 4195074,
            ExposedArea = 4195075,
            DistanceSourceToEntrance = 4195078,
            DistanceSourceToSupport = 4195079,
            ExposureDoseSequence = 4195086,
            CommentsOnRadiationDose = 4195088,
            XRayOutput = 4195090,
            HalfValueLayer = 4195092,
            OrganDose = 4195094,
            OrganExposed = 4195096,
            BillingProcedureStepSequence = 4195104,
            FilmConsumptionSequence = 4195105,
            BillingSuppliesAndDevicesSequence = 4195108,
            ReferencedProcedureStepSequence = 4195120,
            PerformedSeriesSequence = 4195136,
            CommentsOnTheScheduledProcedureStep = 4195328,
            ProtocolContextSequence = 4195392,
            ContentItemModifierSequence = 4195393,
            ScheduledSpecimenSequence = 4195584,
            SpecimenAccessionNumber = 4195594,
            ContainerIdentifier = 4195602,
            IssuerOfTheContainerIdentifierSequence = 4195603,
            AlternateContainerIdentifierSequence = 4195605,
            ContainerTypeCodeSequence = 4195608,
            ContainerDescription = 4195610,
            ContainerComponentSequence = 4195616,
            SpecimenSequence = 4195664,
            SpecimenIdentifier = 4195665,
            SpecimenDescriptionSequenceTrial = 4195666,
            SpecimenDescriptionTrial = 4195667,
            SpecimenUid = 4195668,
            AcquisitionContextSequence = 4195669,
            AcquisitionContextDescription = 4195670,
            SpecimenDescriptionSequence = 4195680,
            IssuerOfTheSpecimenIdentifierSequence = 4195682,
            SpecimenTypeCodeSequence = 4195738,
            SpecimenShortDescription = 4195840,
            SpecimenDetailedDescription = 4195842,
            SpecimenPreparationSequence = 4195856,
            SpecimenPreparationStepContentItemSequence = 4195858,
            SpecimenLocalizationContentItemSequence = 4195872,
            SlideIdentifier = 4196090,
            ImageCenterPointCoordinatesSequence = 4196122,
            XOffsetInSlideCoordinateSystem = 4196138,
            YOffsetInSlideCoordinateSystem = 4196154,
            ZOffsetInSlideCoordinateSystem = 4196170,
            PixelSpacingSequence = 4196568,
            CoordinateSystemAxisCodeSequence = 4196570,
            MeasurementUnitsCodeSequence = 4196586,
            VitalStainCodeSequenceTrial = 4196856,
            RequestedProcedureId = 4198401,
            ReasonForTheRequestedProcedure = 4198402,
            RequestedProcedurePriority = 4198403,
            PatientTransportArrangements = 4198404,
            RequestedProcedureLocation = 4198405,
            PlacerOrderNumberProcedure = 4198406,
            FillerOrderNumberProcedure = 4198407,
            ConfidentialityCode = 4198408,
            ReportingPriority = 4198409,
            ReasonForRequestedProcedureCodeSequence = 4198410,
            NamesOfIntendedRecipientsOfResults = 4198416,
            IntendedRecipientsOfResultsIdentificationSequence = 4198417,
            ReasonForPerformedProcedureCodeSequence = 4198418,
            RequestedProcedureDescriptionTrial = 4198496,
            PersonIdentificationCodeSequence = 4198657,
            PersonSAddress = 4198658,
            PersonSTelephoneNumbers = 4198659,
            PersonSTelecomInformation = 4198660,
            RequestedProcedureComments = 4199424,
            ReasonForTheImagingServiceRequest = 4202497,
            IssueDateOfImagingServiceRequest = 4202500,
            IssueTimeOfImagingServiceRequest = 4202501,
            PlacerOrderNumberImagingServiceRequestRetired = 4202502,
            FillerOrderNumberImagingServiceRequestRetired = 4202503,
            OrderEnteredBy = 4202504,
            OrderEntererSLocation = 4202505,
            OrderCallbackPhoneNumber = 4202512,
            OrderCallbackTelecomInformation = 4202513,
            PlacerOrderNumberImagingServiceRequest = 4202518,
            FillerOrderNumberImagingServiceRequest = 4202519,
            ImagingServiceRequestComments = 4203520,
            ConfidentialityConstraintOnPatientDataDescription = 4206593,
            GeneralPurposeScheduledProcedureStepStatus = 4210689,
            GeneralPurposePerformedProcedureStepStatus = 4210690,
            GeneralPurposeScheduledProcedureStepPriority = 4210691,
            ScheduledProcessingApplicationsCodeSequence = 4210692,
            ScheduledProcedureStepStartDatetime = 4210693,
            MultipleCopiesFlag = 4210694,
            PerformedProcessingApplicationsCodeSequence = 4210695,
            HumanPerformerCodeSequence = 4210697,
            ScheduledProcedureStepModificationDatetime = 4210704,
            ExpectedCompletionDatetime = 4210705,
            ResultingGeneralPurposePerformedProcedureStepsSequence = 4210709,
            ReferencedGeneralPurposeScheduledProcedureStepSequence = 4210710,
            ScheduledWorkitemCodeSequence = 4210712,
            PerformedWorkitemCodeSequence = 4210713,
            InputAvailabilityFlag = 4210720,
            InputInformationSequence = 4210721,
            RelevantInformationSequence = 4210722,
            ReferencedGeneralPurposeScheduledProcedureStepTransactionUid = 4210723,
            ScheduledStationNameCodeSequence = 4210725,
            ScheduledStationClassCodeSequence = 4210726,
            ScheduledStationGeographicLocationCodeSequence = 4210727,
            PerformedStationNameCodeSequence = 4210728,
            PerformedStationClassCodeSequence = 4210729,
            PerformedStationGeographicLocationCodeSequence = 4210736,
            RequestedSubsequentWorkitemCodeSequence = 4210737,
            NonDicomOutputCodeSequence = 4210738,
            OutputInformationSequence = 4210739,
            ScheduledHumanPerformersSequence = 4210740,
            ActualHumanPerformersSequence = 4210741,
            HumanPerformerSOrganization = 4210742,
            HumanPerformerSName = 4210743,
            RawDataHandling = 4210752,
            InputReadinessState = 4210753,
            PerformedProcedureStepStartDatetime = 4210768,
            PerformedProcedureStepEndDatetime = 4210769,
            ProcedureStepCancellationDatetime = 4210770,
            OutputDestinationSequence = 4210800,
            DicomStorageSequence = 4210801,
            StowRsStorageSequence = 4210802,
            StorageUrl = 4210803,
            XdsStorageSequence = 4210804,
            EntranceDoseInMgy = 4227842,
            ParametricMapFrameTypeSequence = 4231314,
            ReferencedImageRealWorldValueMappingSequence = 4231316,
            RealWorldValueMappingSequence = 4231318,
            PixelValueMappingCodeSequence = 4231320,
            LutLabel = 4231696,
            RealWorldValueLastValueMapped = 4231697,
            RealWorldValueLutData = 4231698,
            DoubleFloatRealWorldValueLastValueMapped = 4231699,
            DoubleFloatRealWorldValueFirstValueMapped = 4231700,
            RealWorldValueFirstValueMapped = 4231702,
            QuantityDefinitionSequence = 4231712,
            RealWorldValueIntercept = 4231716,
            RealWorldValueSlope = 4231717,
            FindingsFlagTrial = 4235271,
            RelationshipType = 4235280,
            FindingsSequenceTrial = 4235296,
            FindingsGroupUidTrial = 4235297,
            ReferencedFindingsGroupUidTrial = 4235298,
            FindingsGroupRecordingDateTrial = 4235299,
            FindingsGroupRecordingTimeTrial = 4235300,
            FindingsSourceCategoryCodeSequenceTrial = 4235302,
            VerifyingOrganization = 4235303,
            DocumentingOrganizationIdentifierCodeSequenceTrial = 4235304,
            VerificationDatetime = 4235312,
            ObservationDatetime = 4235314,
            ValueType = 4235328,
            ConceptNameCodeSequence = 4235331,
            MeasurementPrecisionDescriptionTrial = 4235335,
            ContinuityOfContent = 4235344,
            UrgencyOrPriorityAlertsTrial = 4235351,
            SequencingIndicatorTrial = 4235360,
            DocumentIdentifierCodeSequenceTrial = 4235366,
            DocumentAuthorTrial = 4235367,
            DocumentAuthorIdentifierCodeSequenceTrial = 4235368,
            IdentifierCodeSequenceTrial = 4235376,
            VerifyingObserverSequence = 4235379,
            ObjectBinaryIdentifierTrial = 4235380,
            VerifyingObserverName = 4235381,
            DocumentingObserverIdentifierCodeSequenceTrial = 4235382,
            AuthorObserverSequence = 4235384,
            ParticipantSequence = 4235386,
            CustodialOrganizationSequence = 4235388,
            ParticipationType = 4235392,
            ParticipationDatetime = 4235394,
            ObserverType = 4235396,
            ProcedureIdentifierCodeSequenceTrial = 4235397,
            VerifyingObserverIdentificationCodeSequence = 4235400,
            ObjectDirectoryBinaryIdentifierTrial = 4235401,
            EquivalentCdaDocumentSequence = 4235408,
            ReferencedWaveformChannels = 4235440,
            DateOfDocumentOrVerbalTransactionTrial = 4235536,
            TimeOfDocumentCreationOrVerbalTransactionTrial = 4235538,
            Datetime = 4235552,
            Date = 4235553,
            Time = 4235554,
            PersonName = 4235555,
            Uid = 4235556,
            ReportStatusIdTrial = 4235557,
            TemporalRangeType = 4235568,
            ReferencedSamplePositions = 4235570,
            ReferencedFrameNumbers = 4235574,
            ReferencedTimeOffsets = 4235576,
            ReferencedDatetime = 4235578,
            TextValue = 4235616,
            FloatingPointValue = 4235617,
            RationalNumeratorValue = 4235618,
            RationalDenominatorValue = 4235619,
            ObservationCategoryCodeSequenceTrial = 4235623,
            ConceptCodeSequence = 4235624,
            BibliographicCitationTrial = 4235626,
            PurposeOfReferenceCodeSequence = 4235632,
            ObservationUid = 4235633,
            ReferencedObservationUidTrial = 4235634,
            ReferencedObservationClassTrial = 4235635,
            ReferencedObjectObservationClassTrial = 4235636,
            AnnotationGroupNumber = 4235648,
            ObservationDateTrial = 4235666,
            ObservationTimeTrial = 4235667,
            MeasurementAutomationTrial = 4235668,
            ModifierCodeSequence = 4235669,
            IdentificationDescriptionTrial = 4235812,
            CoordinatesSetGeometricTypeTrial = 4235920,
            AlgorithmCodeSequenceTrial = 4235926,
            AlgorithmDescriptionTrial = 4235927,
            PixelCoordinatesSetTrial = 4235930,
            MeasuredValueSequence = 4236032,
            NumericValueQualifierCodeSequence = 4236033,
            CurrentObserverTrial = 4236039,
            NumericValue = 4236042,
            ReferencedAccessionSequenceTrial = 4236051,
            ReportStatusCommentTrial = 4236090,
            ProcedureContextSequenceTrial = 4236096,
            VerbalSourceTrial = 4236114,
            AddressTrial = 4236115,
            TelephoneNumberTrial = 4236116,
            VerbalSourceIdentifierCodeSequenceTrial = 4236120,
            PredecessorDocumentsSequence = 4236128,
            ReferencedRequestSequence = 4236144,
            PerformedProcedureCodeSequence = 4236146,
            CurrentRequestedProcedureEvidenceSequence = 4236149,
            ReportDetailSequenceTrial = 4236160,
            PertinentOtherEvidenceSequence = 4236165,
            Hl7StructuredDocumentReferenceSequence = 4236176,
            ObservationSubjectUidTrial = 4236290,
            ObservationSubjectClassTrial = 4236291,
            ObservationSubjectTypeCodeSequenceTrial = 4236292,
            CompletionFlag = 4236433,
            CompletionFlagDescription = 4236434,
            VerificationFlag = 4236435,
            ArchiveRequested = 4236436,
            PreliminaryFlag = 4236438,
            ContentTemplateSequence = 4236548,
            IdenticalDocumentsSequence = 4236581,
            ObservationSubjectContextFlagTrial = 4236800,
            ObserverContextFlagTrial = 4236801,
            ProcedureContextFlagTrial = 4236803,
            ContentSequence = 4237104,
            RelationshipSequenceTrial = 4237105,
            RelationshipTypeCodeSequenceTrial = 4237106,
            LanguageCodeSequenceTrial = 4237124,
            UniformResourceLocatorTrial = 4237714,
            WaveformAnnotationSequence = 4239392,
            TemplateIdentifier = 4250368,
            TemplateVersion = 4250374,
            TemplateLocalVersion = 4250375,
            TemplateExtensionFlag = 4250379,
            TemplateExtensionOrganizationUid = 4250380,
            TemplateExtensionCreatorUid = 4250381,
            ReferencedContentItemIdentifier = 4250483,
            Hl7InstanceIdentifier = 4251649,
            Hl7DocumentEffectiveTime = 4251652,
            Hl7DocumentTypeCodeSequence = 4251654,
            DocumentClassCodeSequence = 4251656,
            RetrieveUri = 4251664,
            RetrieveLocationUid = 4251665,
            TypeOfInstances = 4251680,
            DicomRetrievalSequence = 4251681,
            DicomMediaRetrievalSequence = 4251682,
            WadoRetrievalSequence = 4251683,
            XdsRetrievalSequence = 4251684,
            WadoRsRetrievalSequence = 4251685,
            RepositoryUniqueId = 4251696,
            HomeCommunityId = 4251697,
            DocumentTitle = 4325392,
            EncapsulatedDocument = 4325393,
            MimeTypeOfEncapsulatedDocument = 4325394,
            SourceInstanceSequence = 4325395,
            ListOfMimeTypes = 4325396,
            ProductPackageIdentifier = 4456449,
            SubstanceAdministrationApproval = 4456450,
            ApprovalStatusFurtherDescription = 4456451,
            ApprovalStatusDatetime = 4456452,
            ProductTypeCodeSequence = 4456455,
            ProductName = 4456456,
            ProductDescription = 4456457,
            ProductLotIdentifier = 4456458,
            ProductExpirationDatetime = 4456459,
            SubstanceAdministrationDatetime = 4456464,
            SubstanceAdministrationNotes = 4456465,
            SubstanceAdministrationDeviceId = 4456466,
            ProductParameterSequence = 4456467,
            SubstanceAdministrationParameterSequence = 4456473,
            LensDescription = 4587538,
            RightLensSequence = 4587540,
            LeftLensSequence = 4587541,
            UnspecifiedLateralityLensSequence = 4587542,
            CylinderSequence = 4587544,
            PrismSequence = 4587560,
            HorizontalPrismPower = 4587568,
            HorizontalPrismBase = 4587570,
            VerticalPrismPower = 4587572,
            VerticalPrismBase = 4587574,
            LensSegmentType = 4587576,
            OpticalTransmittance = 4587584,
            ChannelWidth = 4587586,
            PupilSize = 4587588,
            CornealSize = 4587590,
            AutorefractionRightEyeSequence = 4587600,
            AutorefractionLeftEyeSequence = 4587602,
            DistancePupillaryDistance = 4587616,
            NearPupillaryDistance = 4587618,
            IntermediatePupillaryDistance = 4587619,
            OtherPupillaryDistance = 4587620,
            KeratometryRightEyeSequence = 4587632,
            KeratometryLeftEyeSequence = 4587633,
            SteepKeratometricAxisSequence = 4587636,
            RadiusOfCurvature = 4587637,
            KeratometricPower = 4587638,
            KeratometricAxis = 4587639,
            FlatKeratometricAxisSequence = 4587648,
            BackgroundColor = 4587666,
            Optotype = 4587668,
            OptotypePresentation = 4587669,
            SubjectiveRefractionRightEyeSequence = 4587671,
            SubjectiveRefractionLeftEyeSequence = 4587672,
            AddNearSequence = 4587776,
            AddIntermediateSequence = 4587777,
            AddOtherSequence = 4587778,
            AddPower = 4587780,
            ViewingDistance = 4587782,
            VisualAcuityTypeCodeSequence = 4587809,
            VisualAcuityRightEyeSequence = 4587810,
            VisualAcuityLeftEyeSequence = 4587811,
            VisualAcuityBothEyesOpenSequence = 4587812,
            ViewingDistanceType = 4587813,
            VisualAcuityModifiers = 4587829,
            DecimalVisualAcuity = 4587831,
            OptotypeDetailedDefinition = 4587833,
            ReferencedRefractiveMeasurementsSequence = 4587845,
            SpherePower = 4587846,
            CylinderPower = 4587847,
            CornealTopographySurface = 4588033,
            CornealVertexLocation = 4588034,
            PupilCentroidXCoordinate = 4588035,
            PupilCentroidYCoordinate = 4588036,
            EquivalentPupilRadius = 4588037,
            CornealTopographyMapTypeCodeSequence = 4588039,
            VerticesOfTheOutlineOfPupil = 4588040,
            CornealTopographyMappingNormalsSequence = 4588048,
            MaximumCornealCurvatureSequence = 4588049,
            MaximumCornealCurvature = 4588050,
            MaximumCornealCurvatureLocation = 4588051,
            MinimumKeratometricSequence = 4588053,
            SimulatedKeratometricCylinderSequence = 4588056,
            AverageCornealPower = 4588064,
            CornealISValue = 4588068,
            AnalyzedArea = 4588071,
            SurfaceRegularityIndex = 4588080,
            SurfaceAsymmetryIndex = 4588082,
            CornealEccentricityIndex = 4588084,
            KeratoconusPredictionIndex = 4588086,
            DecimalPotentialVisualAcuity = 4588088,
            CornealTopographyMapQualityEvaluation = 4588098,
            SourceImageCornealProcessedDataSequence = 4588100,
            CornealPointLocation = 4588103,
            CornealPointEstimated = 4588104,
            AxialPower = 4588105,
            TangentialPower = 4588112,
            RefractivePower = 4588113,
            RelativeElevation = 4588114,
            CornealWavefront = 4588115,
            ImagedVolumeWidth = 4718593,
            ImagedVolumeHeight = 4718594,
            ImagedVolumeDepth = 4718595,
            TotalPixelMatrixColumns = 4718598,
            TotalPixelMatrixRows = 4718599,
            TotalPixelMatrixOriginSequence = 4718600,
            SpecimenLabelInImage = 4718608,
            FocusMethod = 4718609,
            ExtendedDepthOfField = 4718610,
            NumberOfFocalPlanes = 4718611,
            DistanceBetweenFocalPlanes = 4718612,
            RecommendedAbsentPixelCielabValue = 4718613,
            IlluminatorTypeCodeSequence = 4718848,
            ImageOrientationSlide = 4718850,
            OpticalPathSequence = 4718853,
            OpticalPathIdentifier = 4718854,
            OpticalPathDescription = 4718855,
            IlluminationColorCodeSequence = 4718856,
            SpecimenReferenceSequence = 4718864,
            CondenserLensPower = 4718865,
            ObjectiveLensPower = 4718866,
            ObjectiveLensNumericalAperture = 4718867,
            PaletteColorLookupTableSequence = 4718880,
            ReferencedImageNavigationSequence = 4719104,
            TopLeftHandCornerOfLocalizerArea = 4719105,
            BottomRightHandCornerOfLocalizerArea = 4719106,
            OpticalPathIdentificationSequence = 4719111,
            PlanePositionSlideSequence = 4719130,
            ColumnPositionInTotalImagePixelMatrix = 4719134,
            RowPositionInTotalImagePixelMatrix = 4719135,
            PixelOriginInterpretation = 4719361,
            CalibrationImage = 5242884,
            DeviceSequence = 5242896,
            ContainerComponentTypeCodeSequence = 5242898,
            ContainerComponentThickness = 5242899,
            DeviceLength = 5242900,
            ContainerComponentWidth = 5242901,
            DeviceDiameter = 5242902,
            DeviceDiameterUnits = 5242903,
            DeviceVolume = 5242904,
            InterMarkerDistance = 5242905,
            ContainerComponentMaterial = 5242906,
            ContainerComponentId = 5242907,
            ContainerComponentLength = 5242908,
            ContainerComponentDiameter = 5242909,
            ContainerComponentDescription = 5242910,
            DeviceDescription = 5242912,
            ContrastBolusIngredientPercentByVolume = 5373953,
            OctFocalDistance = 5373954,
            BeamSpotSize = 5373955,
            EffectiveRefractiveIndex = 5373956,
            OctAcquisitionDomain = 5373958,
            OctOpticalCenterWavelength = 5373959,
            AxialResolution = 5373960,
            RangingDepth = 5373961,
            ALineRate = 5373969,
            ALinesPerFrame = 5373970,
            CatheterRotationalRate = 5373971,
            ALinePixelSpacing = 5373972,
            ModeOfPercutaneousAccessSequence = 5373974,
            IntravascularOctFrameTypeSequence = 5373989,
            OctZOffsetApplied = 5373990,
            IntravascularFrameContentSequence = 5373991,
            IntravascularLongitudinalDistance = 5373992,
            IntravascularOctFrameContentSequence = 5373993,
            OctZOffsetCorrection = 5374000,
            CatheterDirectionOfRotation = 5374001,
            SeamLineLocation = 5374003,
            FirstALineLocation = 5374004,
            SeamLineIndex = 5374006,
            NumberOfPaddedALines = 5374008,
            InterpolationType = 5374009,
            RefractiveIndexApplied = 5374010,
            EnergyWindowVector = 5505040,
            NumberOfEnergyWindows = 5505041,
            EnergyWindowInformationSequence = 5505042,
            EnergyWindowRangeSequence = 5505043,
            EnergyWindowLowerLimit = 5505044,
            EnergyWindowUpperLimit = 5505045,
            RadiopharmaceuticalInformationSequence = 5505046,
            ResidualSyringeCounts = 5505047,
            EnergyWindowName = 5505048,
            DetectorVector = 5505056,
            NumberOfDetectors = 5505057,
            DetectorInformationSequence = 5505058,
            PhaseVector = 5505072,
            NumberOfPhases = 5505073,
            PhaseInformationSequence = 5505074,
            NumberOfFramesInPhase = 5505075,
            PhaseDelay = 5505078,
            PauseBetweenFrames = 5505080,
            PhaseDescription = 5505081,
            RotationVector = 5505104,
            NumberOfRotations = 5505105,
            RotationInformationSequence = 5505106,
            NumberOfFramesInRotation = 5505107,
            RRIntervalVector = 5505120,
            NumberOfRRIntervals = 5505121,
            GatedInformationSequence = 5505122,
            DataInformationSequence = 5505123,
            TimeSlotVector = 5505136,
            NumberOfTimeSlots = 5505137,
            TimeSlotInformationSequence = 5505138,
            TimeSlotTime = 5505139,
            SliceVector = 5505152,
            NumberOfSlices = 5505153,
            AngularViewVector = 5505168,
            TimeSliceVector = 5505280,
            NumberOfTimeSlices = 5505281,
            StartAngle = 5505536,
            TypeOfDetectorMotion = 5505538,
            TriggerVector = 5505552,
            NumberOfTriggersInPhase = 5505553,
            ViewCodeSequence = 5505568,
            ViewModifierCodeSequence = 5505570,
            RadionuclideCodeSequence = 5505792,
            AdministrationRouteCodeSequence = 5505794,
            RadiopharmaceuticalCodeSequence = 5505796,
            CalibrationDataSequence = 5505798,
            EnergyWindowNumber = 5505800,
            ImageId = 5506048,
            PatientOrientationCodeSequence = 5506064,
            PatientOrientationModifierCodeSequence = 5506066,
            PatientGantryRelationshipCodeSequence = 5506068,
            SliceProgressionDirection = 5506304,
            ScanProgressionDirection = 5506305,
            SeriesType = 5509120,
            Units = 5509121,
            CountsSource = 5509122,
            ReprojectionMethod = 5509124,
            SuvType = 5509126,
            RandomsCorrectionMethod = 5509376,
            AttenuationCorrectionMethod = 5509377,
            DecayCorrection = 5509378,
            ReconstructionMethod = 5509379,
            DetectorLinesOfResponseUsed = 5509380,
            ScatterCorrectionMethod = 5509381,
            AxialAcceptance = 5509632,
            AxialMash = 5509633,
            TransverseMash = 5509634,
            DetectorElementSize = 5509635,
            CoincidenceWindowWidth = 5509648,
            SecondaryCountsType = 5509664,
            FrameReferenceTime = 5509888,
            PrimaryPromptsCountsAccumulated = 5509904,
            SecondaryCountsAccumulated = 5509905,
            SliceSensitivityFactor = 5509920,
            DecayFactor = 5509921,
            DoseCalibrationFactor = 5509922,
            ScatterFractionFactor = 5509923,
            DeadTimeFactor = 5509924,
            ImageIndex = 5509936,
            CountsIncluded = 5510144,
            DeadTimeCorrectionFlag = 5510145,
            HistogramSequence = 6303744,
            HistogramNumberOfBins = 6303746,
            HistogramFirstBinValue = 6303748,
            HistogramLastBinValue = 6303750,
            HistogramBinWidth = 6303752,
            HistogramExplanation = 6303760,
            HistogramData = 6303776,
            SegmentationType = 6422529,
            SegmentSequence = 6422530,
            SegmentedPropertyCategoryCodeSequence = 6422531,
            SegmentNumber = 6422532,
            SegmentLabel = 6422533,
            SegmentDescription = 6422534,
            SegmentAlgorithmType = 6422536,
            SegmentAlgorithmName = 6422537,
            SegmentIdentificationSequence = 6422538,
            ReferencedSegmentNumber = 6422539,
            RecommendedDisplayGrayscaleValue = 6422540,
            RecommendedDisplayCielabValue = 6422541,
            MaximumFractionalValue = 6422542,
            SegmentedPropertyTypeCodeSequence = 6422543,
            SegmentationFractionalType = 6422544,
            SegmentedPropertyTypeModifierCodeSequence = 6422545,
            UsedSegmentsSequence = 6422546,
            TrackingId = 6422560,
            TrackingUid = 6422561,
            DeformableRegistrationSequence = 6553602,
            SourceFrameOfReferenceUid = 6553603,
            DeformableRegistrationGridSequence = 6553605,
            GridDimensions = 6553607,
            GridResolution = 6553608,
            VectorGridData = 6553609,
            PreDeformationMatrixRegistrationSequence = 6553615,
            PostDeformationMatrixRegistrationSequence = 6553616,
            NumberOfSurfaces = 6684673,
            SurfaceSequence = 6684674,
            SurfaceNumber = 6684675,
            SurfaceComments = 6684676,
            SurfaceProcessing = 6684681,
            SurfaceProcessingRatio = 6684682,
            SurfaceProcessingDescription = 6684683,
            RecommendedPresentationOpacity = 6684684,
            RecommendedPresentationType = 6684685,
            FiniteVolume = 6684686,
            Manifold = 6684688,
            SurfacePointsSequence = 6684689,
            SurfacePointsNormalsSequence = 6684690,
            SurfaceMeshPrimitivesSequence = 6684691,
            NumberOfSurfacePoints = 6684693,
            PointCoordinatesData = 6684694,
            PointPositionAccuracy = 6684695,
            MeanPointDistance = 6684696,
            MaximumPointDistance = 6684697,
            PointsBoundingBoxCoordinates = 6684698,
            AxisOfRotation = 6684699,
            CenterOfRotation = 6684700,
            NumberOfVectors = 6684702,
            VectorDimensionality = 6684703,
            VectorAccuracy = 6684704,
            VectorCoordinateData = 6684705,
            TrianglePointIndexList = 6684707,
            EdgePointIndexList = 6684708,
            VertexPointIndexList = 6684709,
            TriangleStripSequence = 6684710,
            TriangleFanSequence = 6684711,
            LineSequence = 6684712,
            PrimitivePointIndexList = 6684713,
            SurfaceCount = 6684714,
            ReferencedSurfaceSequence = 6684715,
            ReferencedSurfaceNumber = 6684716,
            SegmentSurfaceGenerationAlgorithmIdentificationSequence = 6684717,
            SegmentSurfaceSourceInstanceSequence = 6684718,
            AlgorithmFamilyCodeSequence = 6684719,
            AlgorithmNameCodeSequence = 6684720,
            AlgorithmVersion = 6684721,
            AlgorithmParameters = 6684722,
            FacetSequence = 6684724,
            SurfaceProcessingAlgorithmIdentificationSequence = 6684725,
            AlgorithmName = 6684726,
            RecommendedPointRadius = 6684727,
            RecommendedLineThickness = 6684728,
            LongPrimitivePointIndexList = 6684736,
            LongTrianglePointIndexList = 6684737,
            LongEdgePointIndexList = 6684738,
            LongVertexPointIndexList = 6684739,
            TrackSetSequence = 6684929,
            TrackSequence = 6684930,
            RecommendedDisplayCielabValueList = 6684931,
            TrackingAlgorithmIdentificationSequence = 6684932,
            TrackSetNumber = 6684933,
            TrackSetLabel = 6684934,
            TrackSetDescription = 6684935,
            TrackSetAnatomicalTypeCodeSequence = 6684936,
            MeasurementsSequence = 6684961,
            TrackSetStatisticsSequence = 6684964,
            FloatingPointValues = 6684965,
            TrackPointIndexList = 6684969,
            TrackStatisticsSequence = 6684976,
            MeasurementValuesSequence = 6684978,
            DiffusionAcquisitionCodeSequence = 6684979,
            DiffusionModelCodeSequence = 6684980,
            ImplantSize = 6840848,
            ImplantTemplateVersion = 6840865,
            ReplacedImplantTemplateSequence = 6840866,
            ImplantType = 6840867,
            DerivationImplantTemplateSequence = 6840868,
            OriginalImplantTemplateSequence = 6840869,
            EffectiveDatetime = 6840870,
            ImplantTargetAnatomySequence = 6840880,
            InformationFromManufacturerSequence = 6840928,
            NotificationFromManufacturerSequence = 6840933,
            InformationIssueDatetime = 6840944,
            InformationSummary = 6840960,
            ImplantRegulatoryDisapprovalCodeSequence = 6840992,
            OverallTemplateSpatialTolerance = 6840997,
            HpglDocumentSequence = 6841024,
            HpglDocumentId = 6841040,
            HpglDocumentLabel = 6841045,
            ViewOrientationCodeSequence = 6841056,
            ViewOrientationModifier = 6841072,
            HpglDocumentScaling = 6841074,
            HpglDocument = 6841088,
            HpglContourPenNumber = 6841104,
            HpglPenSequence = 6841120,
            HpglPenNumber = 6841136,
            HpglPenLabel = 6841152,
            HpglPenDescription = 6841157,
            RecommendedRotationPoint = 6841158,
            BoundingRectangle = 6841159,
            ImplantTemplate3dModelSurfaceNumber = 6841168,
            SurfaceModelDescriptionSequence = 6841184,
            SurfaceModelLabel = 6841216,
            SurfaceModelScalingFactor = 6841232,
            MaterialsCodeSequence = 6841248,
            CoatingMaterialsCodeSequence = 6841252,
            ImplantTypeCodeSequence = 6841256,
            FixationMethodCodeSequence = 6841260,
            MatingFeatureSetsSequence = 6841264,
            MatingFeatureSetId = 6841280,
            MatingFeatureSetLabel = 6841296,
            MatingFeatureSequence = 6841312,
            MatingFeatureId = 6841328,
            MatingFeatureDegreeOfFreedomSequence = 6841344,
            DegreeOfFreedomId = 6841360,
            DegreeOfFreedomType = 6841376,
            Tag2dMatingFeatureCoordinatesSequence = 6841392,
            ReferencedHpglDocumentId = 6841408,
            Tag2dMatingPoint = 6841424,
            Tag2dMatingAxes = 6841440,
            Tag2dDegreeOfFreedomSequence = 6841456,
            Tag3dDegreeOfFreedomAxis = 6841488,
            RangeOfFreedom = 6841504,
            Tag3dMatingPoint = 6841536,
            Tag3dMatingAxes = 6841552,
            Tag2dDegreeOfFreedomAxis = 6841584,
            PlanningLandmarkPointSequence = 6841600,
            PlanningLandmarkLineSequence = 6841616,
            PlanningLandmarkPlaneSequence = 6841632,
            PlanningLandmarkId = 6841648,
            PlanningLandmarkDescription = 6841664,
            PlanningLandmarkIdentificationCodeSequence = 6841669,
            Tag2dPointCoordinatesSequence = 6841680,
            Tag2dPointCoordinates = 6841696,
            Tag3dPointCoordinates = 6841744,
            Tag2dLineCoordinatesSequence = 6841760,
            Tag2dLineCoordinates = 6841776,
            Tag3dLineCoordinates = 6841808,
            Tag2dPlaneCoordinatesSequence = 6841824,
            Tag2dPlaneIntersection = 6841840,
            Tag3dPlaneOrigin = 6841872,
            Tag3dPlaneNormal = 6841888,
            GraphicAnnotationSequence = 7340033,
            GraphicLayer = 7340034,
            BoundingBoxAnnotationUnits = 7340035,
            AnchorPointAnnotationUnits = 7340036,
            GraphicAnnotationUnits = 7340037,
            UnformattedTextValue = 7340038,
            TextObjectSequence = 7340040,
            GraphicObjectSequence = 7340041,
            BoundingBoxTopLeftHandCorner = 7340048,
            BoundingBoxBottomRightHandCorner = 7340049,
            BoundingBoxTextHorizontalJustification = 7340050,
            AnchorPoint = 7340052,
            AnchorPointVisibility = 7340053,
            GraphicDimensions = 7340064,
            NumberOfGraphicPoints = 7340065,
            GraphicData = 7340066,
            GraphicType = 7340067,
            GraphicFilled = 7340068,
            ImageRotationRetired = 7340096,
            ImageHorizontalFlip = 7340097,
            ImageRotation = 7340098,
            DisplayedAreaTopLeftHandCornerTrial = 7340112,
            DisplayedAreaBottomRightHandCornerTrial = 7340113,
            DisplayedAreaTopLeftHandCorner = 7340114,
            DisplayedAreaBottomRightHandCorner = 7340115,
            DisplayedAreaSelectionSequence = 7340122,
            GraphicLayerSequence = 7340128,
            GraphicLayerOrder = 7340130,
            GraphicLayerRecommendedDisplayGrayscaleValue = 7340134,
            GraphicLayerRecommendedDisplayRgbValue = 7340135,
            GraphicLayerDescription = 7340136,
            ContentLabel = 7340160,
            ContentDescription = 7340161,
            PresentationCreationDate = 7340162,
            PresentationCreationTime = 7340163,
            ContentCreatorSName = 7340164,
            ContentCreatorSIdentificationCodeSequence = 7340166,
            AlternateContentDescriptionSequence = 7340167,
            PresentationSizeMode = 7340288,
            PresentationPixelSpacing = 7340289,
            PresentationPixelAspectRatio = 7340290,
            PresentationPixelMagnificationRatio = 7340291,
            GraphicGroupLabel = 7340551,
            GraphicGroupDescription = 7340552,
            CompoundGraphicSequence = 7340553,
            CompoundGraphicInstanceId = 7340582,
            FontName = 7340583,
            FontNameType = 7340584,
            CssFontName = 7340585,
            RotationAngle = 7340592,
            TextStyleSequence = 7340593,
            LineStyleSequence = 7340594,
            FillStyleSequence = 7340595,
            GraphicGroupSequence = 7340596,
            TextColorCielabValue = 7340609,
            HorizontalAlignment = 7340610,
            VerticalAlignment = 7340611,
            ShadowStyle = 7340612,
            ShadowOffsetX = 7340613,
            ShadowOffsetY = 7340614,
            ShadowColorCielabValue = 7340615,
            Underlined = 7340616,
            Bold = 7340617,
            Italic = 7340624,
            PatternOnColorCielabValue = 7340625,
            PatternOffColorCielabValue = 7340626,
            LineThickness = 7340627,
            LineDashingStyle = 7340628,
            LinePattern = 7340629,
            FillPattern = 7340630,
            FillMode = 7340631,
            ShadowOpacity = 7340632,
            GapLength = 7340641,
            DiameterOfVisibility = 7340642,
            RotationPoint = 7340659,
            TickAlignment = 7340660,
            ShowTickLabel = 7340664,
            TickLabelAlignment = 7340665,
            CompoundGraphicUnits = 7340674,
            PatternOnOpacity = 7340676,
            PatternOffOpacity = 7340677,
            MajorTicksSequence = 7340679,
            TickPosition = 7340680,
            TickLabel = 7340681,
            CompoundGraphicType = 7340692,
            GraphicGroupId = 7340693,
            ShapeType = 7340806,
            RegistrationSequence = 7340808,
            MatrixRegistrationSequence = 7340809,
            MatrixSequence = 7340810,
            FrameOfReferenceToDisplayedCoordinateSystemTransformationMatrix = 7340811,
            FrameOfReferenceTransformationMatrixType = 7340812,
            RegistrationTypeCodeSequence = 7340813,
            FiducialDescription = 7340815,
            FiducialIdentifier = 7340816,
            FiducialIdentifierCodeSequence = 7340817,
            ContourUncertaintyRadius = 7340818,
            UsedFiducialsSequence = 7340820,
            GraphicCoordinatesDataSequence = 7340824,
            FiducialUid = 7340826,
            FiducialSetSequence = 7340828,
            FiducialSequence = 7340830,
            GraphicLayerRecommendedDisplayCielabValue = 7341057,
            BlendingSequence = 7341058,
            RelativeOpacity = 7341059,
            ReferencedSpatialRegistrationSequence = 7341060,
            BlendingPosition = 7341061,
            PresentationDisplayCollectionUid = 7344385,
            PresentationSequenceCollectionUid = 7344386,
            PresentationSequencePositionIndex = 7344387,
            RenderedImageReferenceSequence = 7344388,
            VolumetricPresentationStateInputSequence = 7344641,
            PresentationInputType = 7344642,
            InputSequencePositionIndex = 7344643,
            Crop = 7344644,
            CroppingSpecificationIndex = 7344645,
            CompositingMethod = 7344646,
            VolumetricPresentationInputNumber = 7344647,
            ImageVolumeGeometry = 7344648,
            VolumeCroppingSequence = 7344897,
            VolumeCroppingMethod = 7344898,
            BoundingBoxCrop = 7344899,
            ObliqueCroppingPlaneSequence = 7344900,
            Plane = 7344901,
            PlaneNormal = 7344902,
            CroppingSpecificationNumber = 7344905,
            MultiPlanarReconstructionStyle = 7345409,
            MprThicknessType = 7345410,
            MprSlabThickness = 7345411,
            MprTopLeftHandCorner = 7345413,
            MprViewWidthDirection = 7345415,
            MprViewWidth = 7345416,
            NumberOfVolumetricCurvePoints = 7345420,
            VolumetricCurvePoints = 7345421,
            MprViewHeightDirection = 7345425,
            MprViewHeight = 7345426,
            PresentationStateClassificationComponentSequence = 7346177,
            ComponentType = 7346178,
            ComponentInputSequence = 7346179,
            VolumetricPresentationInputIndex = 7346180,
            PresentationStateCompositorComponentSequence = 7346181,
            WeightingTransferFunctionSequence = 7346182,
            WeightingLookupTableDescriptor = 7346183,
            WeightingLookupTableData = 7346184,
            VolumetricAnnotationSequence = 7346433,
            ReferencedStructuredContextSequence = 7346435,
            ReferencedContentItem = 7346436,
            VolumetricPresentationInputAnnotationSequence = 7346437,
            AnnotationClipping = 7346439,
            PresentationAnimationStyle = 7346689,
            RecommendedAnimationRate = 7346691,
            AnimationCurveSequence = 7346692,
            AnimationStepSize = 7346693,
            HangingProtocolName = 7471106,
            HangingProtocolDescription = 7471108,
            HangingProtocolLevel = 7471110,
            HangingProtocolCreator = 7471112,
            HangingProtocolCreationDatetime = 7471114,
            HangingProtocolDefinitionSequence = 7471116,
            HangingProtocolUserIdentificationCodeSequence = 7471118,
            HangingProtocolUserGroupName = 7471120,
            SourceHangingProtocolSequence = 7471122,
            NumberOfPriorsReferenced = 7471124,
            ImageSetsSequence = 7471136,
            ImageSetSelectorSequence = 7471138,
            ImageSetSelectorUsageFlag = 7471140,
            SelectorAttribute = 7471142,
            SelectorValueNumber = 7471144,
            TimeBasedImageSetsSequence = 7471152,
            ImageSetNumber = 7471154,
            ImageSetSelectorCategory = 7471156,
            RelativeTime = 7471160,
            RelativeTimeUnits = 7471162,
            AbstractPriorValue = 7471164,
            AbstractPriorCodeSequence = 7471166,
            ImageSetLabel = 7471168,
            SelectorAttributeVr = 7471184,
            SelectorSequencePointer = 7471186,
            SelectorSequencePointerPrivateCreator = 7471188,
            SelectorAttributePrivateCreator = 7471190,
            SelectorAeValue = 7471198,
            SelectorAsValue = 7471199,
            SelectorAtValue = 7471200,
            SelectorDaValue = 7471201,
            SelectorCsValue = 7471202,
            SelectorDtValue = 7471203,
            SelectorIsValue = 7471204,
            SelectorObValue = 7471205,
            SelectorLoValue = 7471206,
            SelectorOfValue = 7471207,
            SelectorLtValue = 7471208,
            SelectorOwValue = 7471209,
            SelectorPnValue = 7471210,
            SelectorTmValue = 7471211,
            SelectorShValue = 7471212,
            SelectorUnValue = 7471213,
            SelectorStValue = 7471214,
            SelectorUcValue = 7471215,
            SelectorUtValue = 7471216,
            SelectorUrValue = 7471217,
            SelectorDsValue = 7471218,
            SelectorOdValue = 7471219,
            SelectorFdValue = 7471220,
            SelectorOlValue = 7471221,
            SelectorFlValue = 7471222,
            SelectorUlValue = 7471224,
            SelectorUsValue = 7471226,
            SelectorSlValue = 7471228,
            SelectorSsValue = 7471230,
            SelectorUiValue = 7471231,
            SelectorCodeSequenceValue = 7471232,
            NumberOfScreens = 7471360,
            NominalScreenDefinitionSequence = 7471362,
            NumberOfVerticalPixels = 7471364,
            NumberOfHorizontalPixels = 7471366,
            DisplayEnvironmentSpatialPosition = 7471368,
            ScreenMinimumGrayscaleBitDepth = 7471370,
            ScreenMinimumColorBitDepth = 7471372,
            ApplicationMaximumRepaintTime = 7471374,
            DisplaySetsSequence = 7471616,
            DisplaySetNumber = 7471618,
            DisplaySetLabel = 7471619,
            DisplaySetPresentationGroup = 7471620,
            DisplaySetPresentationGroupDescription = 7471622,
            PartialDataDisplayHandling = 7471624,
            SynchronizedScrollingSequence = 7471632,
            DisplaySetScrollingGroup = 7471634,
            NavigationIndicatorSequence = 7471636,
            NavigationDisplaySet = 7471638,
            ReferenceDisplaySets = 7471640,
            ImageBoxesSequence = 7471872,
            ImageBoxNumber = 7471874,
            ImageBoxLayoutType = 7471876,
            ImageBoxTileHorizontalDimension = 7471878,
            ImageBoxTileVerticalDimension = 7471880,
            ImageBoxScrollDirection = 7471888,
            ImageBoxSmallScrollType = 7471890,
            ImageBoxSmallScrollAmount = 7471892,
            ImageBoxLargeScrollType = 7471894,
            ImageBoxLargeScrollAmount = 7471896,
            ImageBoxOverlapPriority = 7471904,
            CineRelativeToRealTime = 7471920,
            FilterOperationsSequence = 7472128,
            FilterByCategory = 7472130,
            FilterByAttributePresence = 7472132,
            FilterByOperator = 7472134,
            StructuredDisplayBackgroundCielabValue = 7472160,
            EmptyImageBoxCielabValue = 7472161,
            StructuredDisplayImageBoxSequence = 7472162,
            StructuredDisplayTextBoxSequence = 7472164,
            ReferencedFirstFrameSequence = 7472167,
            ImageBoxSynchronizationSequence = 7472176,
            SynchronizedImageBoxList = 7472178,
            TypeOfSynchronization = 7472180,
            BlendingOperationType = 7472384,
            ReformattingOperationType = 7472400,
            ReformattingThickness = 7472402,
            ReformattingInterval = 7472404,
            ReformattingOperationInitialViewDirection = 7472406,
            Tag3dRenderingType = 7472416,
            SortingOperationsSequence = 7472640,
            SortByCategory = 7472642,
            SortingDirection = 7472644,
            DisplaySetPatientOrientation = 7472896,
            VoiType = 7472898,
            PseudoColorType = 7472900,
            PseudoColorPaletteInstanceReferenceSequence = 7472901,
            ShowGrayscaleInverted = 7472902,
            ShowImageTrueSizeFlag = 7472912,
            ShowGraphicAnnotationFlag = 7472914,
            ShowPatientDemographicsFlag = 7472916,
            ShowAcquisitionTechniquesFlag = 7472918,
            DisplaySetHorizontalJustification = 7472919,
            DisplaySetVerticalJustification = 7472920,
            ContinuationStartMeterset = 7602464,
            ContinuationEndMeterset = 7602465,
            ProcedureStepState = 7606272,
            ProcedureStepProgressInformationSequence = 7606274,
            ProcedureStepProgress = 7606276,
            ProcedureStepProgressDescription = 7606278,
            ProcedureStepCommunicationsUriSequence = 7606280,
            ContactUri = 7606282,
            ContactDisplayName = 7606284,
            ProcedureStepDiscontinuationReasonCodeSequence = 7606286,
            BeamTaskSequence = 7606304,
            BeamTaskType = 7606306,
            BeamOrderIndexTrial = 7606308,
            AutosequenceFlag = 7606309,
            TableTopVerticalAdjustedPosition = 7606310,
            TableTopLongitudinalAdjustedPosition = 7606311,
            TableTopLateralAdjustedPosition = 7606312,
            PatientSupportAdjustedAngle = 7606314,
            TableTopEccentricAdjustedAngle = 7606315,
            TableTopPitchAdjustedAngle = 7606316,
            TableTopRollAdjustedAngle = 7606317,
            DeliveryVerificationImageSequence = 7606320,
            VerificationImageTiming = 7606322,
            DoubleExposureFlag = 7606324,
            DoubleExposureOrdering = 7606326,
            DoubleExposureMetersetTrial = 7606328,
            DoubleExposureFieldDeltaTrial = 7606330,
            RelatedReferenceRtImageSequence = 7606336,
            GeneralMachineVerificationSequence = 7606338,
            ConventionalMachineVerificationSequence = 7606340,
            IonMachineVerificationSequence = 7606342,
            FailedAttributesSequence = 7606344,
            OverriddenAttributesSequence = 7606346,
            ConventionalControlPointVerificationSequence = 7606348,
            IonControlPointVerificationSequence = 7606350,
            AttributeOccurrenceSequence = 7606352,
            AttributeOccurrencePointer = 7606354,
            AttributeItemSelector = 7606356,
            AttributeOccurrencePrivateCreator = 7606358,
            SelectorSequencePointerItems = 7606359,
            ScheduledProcedureStepPriority = 7606784,
            WorklistLabel = 7606786,
            ProcedureStepLabel = 7606788,
            ScheduledProcessingParametersSequence = 7606800,
            PerformedProcessingParametersSequence = 7606802,
            UnifiedProcedureStepPerformedProcedureSequence = 7606806,
            RelatedProcedureStepSequence = 7606816,
            ProcedureStepRelationshipType = 7606818,
            ReplacedProcedureStepSequence = 7606820,
            DeletionLock = 7606832,
            ReceivingAe = 7606836,
            RequestingAe = 7606838,
            ReasonForCancellation = 7606840,
            ScpStatus = 7606850,
            SubscriptionListStatus = 7606852,
            UnifiedProcedureStepListStatus = 7606854,
            BeamOrderIndex = 7607076,
            DoubleExposureMeterset = 7607096,
            DoubleExposureFieldDelta = 7607098,
            BrachyTaskSequence = 7607297,
            ContinuationStartTotalReferenceAirKerma = 7607298,
            ContinuationEndTotalReferenceAirKerma = 7607299,
            ContinuationPulseNumber = 7607300,
            ChannelDeliveryOrderSequence = 7607301,
            ReferencedChannelNumber = 7607302,
            StartCumulativeTimeWeight = 7607303,
            EndCumulativeTimeWeight = 7607304,
            OmittedChannelSequence = 7607305,
            ReasonForChannelOmission = 7607306,
            ReasonForChannelOmissionDescription = 7607307,
            ChannelDeliveryOrderIndex = 7607308,
            ChannelDeliveryContinuationSequence = 7607309,
            OmittedApplicationSetupSequence = 7607310,
            ImplantAssemblyTemplateName = 7733249,
            ImplantAssemblyTemplateIssuer = 7733251,
            ImplantAssemblyTemplateVersion = 7733254,
            ReplacedImplantAssemblyTemplateSequence = 7733256,
            ImplantAssemblyTemplateType = 7733258,
            OriginalImplantAssemblyTemplateSequence = 7733260,
            DerivationImplantAssemblyTemplateSequence = 7733262,
            ImplantAssemblyTemplateTargetAnatomySequence = 7733264,
            ProcedureTypeCodeSequence = 7733280,
            SurgicalTechnique = 7733296,
            ComponentTypesSequence = 7733298,
            ComponentTypeCodeSequence = 7733300,
            ExclusiveComponentType = 7733302,
            MandatoryComponentType = 7733304,
            ComponentSequence = 7733312,
            ComponentId = 7733333,
            ComponentAssemblySequence = 7733344,
            Component1ReferencedId = 7733360,
            Component1ReferencedMatingFeatureSetId = 7733376,
            Component1ReferencedMatingFeatureId = 7733392,
            Component2ReferencedId = 7733408,
            Component2ReferencedMatingFeatureSetId = 7733424,
            Component2ReferencedMatingFeatureId = 7733440,
            ImplantTemplateGroupName = 7864321,
            ImplantTemplateGroupDescription = 7864336,
            ImplantTemplateGroupIssuer = 7864352,
            ImplantTemplateGroupVersion = 7864356,
            ReplacedImplantTemplateGroupSequence = 7864358,
            ImplantTemplateGroupTargetAnatomySequence = 7864360,
            ImplantTemplateGroupMembersSequence = 7864362,
            ImplantTemplateGroupMemberId = 7864366,
            Tag3dImplantTemplateGroupMemberMatchingPoint = 7864400,
            Tag3dImplantTemplateGroupMemberMatchingAxes = 7864416,
            ImplantTemplateGroupMemberMatching2dCoordinatesSequence = 7864432,
            Tag2dImplantTemplateGroupMemberMatchingPoint = 7864464,
            Tag2dImplantTemplateGroupMemberMatchingAxes = 7864480,
            ImplantTemplateGroupVariationDimensionSequence = 7864496,
            ImplantTemplateGroupVariationDimensionName = 7864498,
            ImplantTemplateGroupVariationDimensionRankSequence = 7864500,
            ReferencedImplantTemplateGroupMemberId = 7864502,
            ImplantTemplateGroupVariationDimensionRank = 7864504,
            SurfaceScanAcquisitionTypeCodeSequence = 8388609,
            SurfaceScanModeCodeSequence = 8388610,
            RegistrationMethodCodeSequence = 8388611,
            ShotDurationTime = 8388612,
            ShotOffsetTime = 8388613,
            SurfacePointPresentationValueData = 8388614,
            SurfacePointColorCielabValueData = 8388615,
            UvMappingSequence = 8388616,
            TextureLabel = 8388617,
            UValueData = 8388624,
            VValueData = 8388625,
            ReferencedTextureSequence = 8388626,
            ReferencedSurfaceDataSequence = 8388627,
            AssessmentSummary = 8519681,
            AssessmentSummaryDescription = 8519683,
            AssessedSopInstanceSequence = 8519684,
            ReferencedComparisonSopInstanceSequence = 8519685,
            NumberOfAssessmentObservations = 8519686,
            AssessmentObservationsSequence = 8519687,
            ObservationSignificance = 8519688,
            ObservationDescription = 8519690,
            StructuredConstraintObservationSequence = 8519692,
            AssessedAttributeValueSequence = 8519696,
            AssessmentSetId = 8519702,
            AssessmentRequesterSequence = 8519703,
            SelectorAttributeName = 8519704,
            SelectorAttributeKeyword = 8519705,
            AssessmentTypeCodeSequence = 8519713,
            ObservationBasisCodeSequence = 8519714,
            AssessmentLabel = 8519715,
            ConstraintType = 8519730,
            SpecificationSelectionGuidance = 8519731,
            ConstraintValueSequence = 8519732,
            RecommendedDefaultValueSequence = 8519733,
            ConstraintViolationSignificance = 8519734,
            ConstraintViolationCondition = 8519735,
            StorageMediaFileSetId = 8913200,
            StorageMediaFileSetUid = 8913216,
            IconImageSequence = 8913408,
            TopicTitle = 8915204,
            TopicSubject = 8915206,
            TopicAuthor = 8915216,
            TopicKeywords = 8915218,
            SopInstanceStatus = 16778256,
            SopAuthorizationDatetime = 16778272,
            SopAuthorizationComment = 16778276,
            AuthorizationEquipmentCertificationNumber = 16778278,
            MacIdNumber = 67108869,
            MacCalculationTransferSyntaxUid = 67108880,
            MacAlgorithm = 67108885,
            DataElementsSigned = 67108896,
            DigitalSignatureUid = 67109120,
            DigitalSignatureDatetime = 67109125,
            CertificateType = 67109136,
            CertificateOfSigner = 67109141,
            Signature = 67109152,
            CertifiedTimestampType = 67109637,
            CertifiedTimestamp = 67109648,
            DigitalSignaturePurposeCodeSequence = 67109889,
            ReferencedDigitalSignatureSequence = 67109890,
            ReferencedSopInstanceMacSequence = 67109891,
            Mac = 67109892,
            EncryptedAttributesSequence = 67110144,
            EncryptedContentTransferSyntaxUid = 67110160,
            EncryptedContent = 67110176,
            ModifiedAttributesSequence = 67110224,
            OriginalAttributesSequence = 67110241,
            AttributeModificationDatetime = 67110242,
            ModifyingSystem = 67110243,
            SourceOfPreviousValues = 67110244,
            ReasonForTheAttributeModification = 67110245,
            NumberOfCopies = 536870928,
            PrinterConfigurationSequence = 536870942,
            PrintPriority = 536870944,
            MediumType = 536870960,
            FilmDestination = 536870976,
            FilmSessionLabel = 536870992,
            MemoryAllocation = 536871008,
            MaximumMemoryAllocation = 536871009,
            ColorImagePrintingFlag = 536871010,
            CollationFlag = 536871011,
            AnnotationFlag = 536871013,
            ImageOverlayFlag = 536871015,
            PresentationLutFlag = 536871017,
            ImageBoxPresentationLutFlag = 536871018,
            MemoryBitDepth = 536871072,
            PrintingBitDepth = 536871073,
            MediaInstalledSequence = 536871074,
            OtherMediaAvailableSequence = 536871076,
            SupportedImageDisplayFormatsSequence = 536871080,
            ReferencedFilmBoxSequence = 536872192,
            ReferencedStoredPrintSequence = 536872208,
            ImageDisplayFormat = 537919504,
            AnnotationDisplayFormatId = 537919536,
            FilmOrientation = 537919552,
            FilmSizeId = 537919568,
            PrinterResolutionId = 537919570,
            DefaultPrinterResolutionId = 537919572,
            MagnificationType = 537919584,
            SmoothingType = 537919616,
            DefaultMagnificationType = 537919654,
            OtherMagnificationTypesAvailable = 537919655,
            DefaultSmoothingType = 537919656,
            OtherSmoothingTypesAvailable = 537919657,
            BorderDensity = 537919744,
            EmptyImageDensity = 537919760,
            MinDensity = 537919776,
            MaxDensity = 537919792,
            Trim = 537919808,
            ConfigurationInformation = 537919824,
            ConfigurationInformationDescription = 537919826,
            MaximumCollatedFilms = 537919828,
            Illumination = 537919838,
            ReflectedAmbientLight = 537919840,
            PrinterPixelSpacing = 537920374,
            ReferencedFilmSessionSequence = 537920768,
            ReferencedImageBoxSequence = 537920784,
            ReferencedBasicAnnotationBoxSequence = 537920800,
            ImageBoxPosition = 538968080,
            Polarity = 538968096,
            RequestedImageSize = 538968112,
            RequestedDecimateCropBehavior = 538968128,
            RequestedResolutionId = 538968144,
            RequestedImageSizeFlag = 538968224,
            DecimateCropResult = 538968226,
            BasicGrayscaleImageSequence = 538968336,
            BasicColorImageSequence = 538968337,
            ReferencedImageOverlayBoxSequence = 538968368,
            ReferencedVoiLutBoxSequence = 538968384,
            AnnotationPosition = 540016656,
            TextString = 540016672,
            ReferencedOverlayPlaneSequence = 541065232,
            ReferencedOverlayPlaneGroups = 541065233,
            OverlayPixelDataSequence = 541065248,
            OverlayMagnificationType = 541065312,
            OverlaySmoothingType = 541065328,
            OverlayOrImageMagnification = 541065330,
            MagnifyToNumberOfColumns = 541065332,
            OverlayForegroundDensity = 541065344,
            OverlayBackgroundDensity = 541065346,
            OverlayMode = 541065360,
            ThresholdDensity = 541065472,
            ReferencedImageBoxSequenceRetired = 541066496,
            PresentationLutSequence = 542113808,
            PresentationLutShape = 542113824,
            ReferencedPresentationLutSequence = 542115072,
            PrintJobId = 553648144,
            ExecutionStatus = 553648160,
            ExecutionStatusInfo = 553648176,
            CreationDate = 553648192,
            CreationTime = 553648208,
            Originator = 553648240,
            DestinationAe = 553648448,
            OwnerId = 553648480,
            NumberOfFilms = 553648496,
            ReferencedPrintJobSequencePullStoredPrint = 553649408,
            PrinterStatus = 554696720,
            PrinterStatusInfo = 554696736,
            PrinterName = 554696752,
            PrintQueueId = 554696857,
            QueueStatus = 555745296,
            PrintJobDescriptionSequence = 555745360,
            ReferencedPrintJobSequence = 555745392,
            PrintManagementCapabilitiesSequence = 556793872,
            PrinterCharacteristicsSequence = 556793877,
            FilmBoxContentSequence = 556793904,
            ImageBoxContentSequence = 556793920,
            AnnotationContentSequence = 556793936,
            ImageOverlayBoxContentSequence = 556793952,
            PresentationLutContentSequence = 556793984,
            ProposedStudySequence = 556794016,
            OriginalImageSequence = 556794048,
            LabelUsingInformationExtractedFromInstances = 570425345,
            LabelText = 570425346,
            LabelStyleSelection = 570425347,
            MediaDisposition = 570425348,
            BarcodeValue = 570425349,
            BarcodeSymbology = 570425350,
            AllowMediaSplitting = 570425351,
            IncludeNonDicomObjects = 570425352,
            IncludeDisplayApplication = 570425353,
            PreserveCompositeInstancesAfterMediaCreation = 570425354,
            TotalNumberOfPiecesOfMediaCreated = 570425355,
            RequestedMediaApplicationProfile = 570425356,
            ReferencedStorageMediaSequence = 570425357,
            FailureAttributes = 570425358,
            AllowLossyCompression = 570425359,
            RequestPriority = 570425376,
            RtImageLabel = 805437442,
            RtImageName = 805437443,
            RtImageDescription = 805437444,
            ReportedValuesOrigin = 805437450,
            RtImagePlane = 805437452,
            XRayImageReceptorTranslation = 805437453,
            XRayImageReceptorAngle = 805437454,
            RtImageOrientation = 805437456,
            ImagePlanePixelSpacing = 805437457,
            RtImagePosition = 805437458,
            RadiationMachineName = 805437472,
            RadiationMachineSad = 805437474,
            RadiationMachineSsd = 805437476,
            RtImageSid = 805437478,
            SourceToReferenceObjectDistance = 805437480,
            FractionNumber = 805437481,
            ExposureSequence = 805437488,
            MetersetExposure = 805437490,
            DiaphragmPosition = 805437492,
            FluenceMapSequence = 805437504,
            FluenceDataSource = 805437505,
            FluenceDataScale = 805437506,
            PrimaryFluenceModeSequence = 805437520,
            FluenceMode = 805437521,
            FluenceModeId = 805437522,
            DvhType = 805568513,
            DoseUnits = 805568514,
            DoseType = 805568516,
            SpatialTransformOfDose = 805568517,
            DoseComment = 805568518,
            NormalizationPoint = 805568520,
            DoseSummationType = 805568522,
            GridFrameOffsetVector = 805568524,
            DoseGridScaling = 805568526,
            RtDoseRoiSequence = 805568528,
            DoseValue = 805568530,
            TissueHeterogeneityCorrection = 805568532,
            DvhNormalizationPoint = 805568576,
            DvhNormalizationDoseValue = 805568578,
            DvhSequence = 805568592,
            DvhDoseScaling = 805568594,
            DvhVolumeUnits = 805568596,
            DvhNumberOfBins = 805568598,
            DvhData = 805568600,
            DvhReferencedRoiSequence = 805568608,
            DvhRoiContributionType = 805568610,
            DvhMinimumDose = 805568624,
            DvhMaximumDose = 805568626,
            DvhMeanDose = 805568628,
            StructureSetLabel = 805699586,
            StructureSetName = 805699588,
            StructureSetDescription = 805699590,
            StructureSetDate = 805699592,
            StructureSetTime = 805699593,
            ReferencedFrameOfReferenceSequence = 805699600,
            RtReferencedStudySequence = 805699602,
            RtReferencedSeriesSequence = 805699604,
            ContourImageSequence = 805699606,
            PredecessorStructureSetSequence = 805699608,
            StructureSetRoiSequence = 805699616,
            RoiNumber = 805699618,
            ReferencedFrameOfReferenceUid = 805699620,
            RoiName = 805699622,
            RoiDescription = 805699624,
            RoiDisplayColor = 805699626,
            RoiVolume = 805699628,
            RtRelatedRoiSequence = 805699632,
            RtRoiRelationship = 805699635,
            RoiGenerationAlgorithm = 805699638,
            RoiGenerationDescription = 805699640,
            RoiContourSequence = 805699641,
            ContourSequence = 805699648,
            ContourGeometricType = 805699650,
            ContourSlabThickness = 805699652,
            ContourOffsetVector = 805699653,
            NumberOfContourPoints = 805699654,
            ContourNumber = 805699656,
            AttachedContours = 805699657,
            ContourData = 805699664,
            RtRoiObservationsSequence = 805699712,
            ObservationNumber = 805699714,
            ReferencedRoiNumber = 805699716,
            RoiObservationLabel = 805699717,
            RtRoiIdentificationCodeSequence = 805699718,
            RoiObservationDescription = 805699720,
            RelatedRtRoiObservationsSequence = 805699744,
            RtRoiInterpretedType = 805699748,
            RoiInterpreter = 805699750,
            RoiPhysicalPropertiesSequence = 805699760,
            RoiPhysicalProperty = 805699762,
            RoiPhysicalPropertyValue = 805699764,
            RoiElementalCompositionSequence = 805699766,
            RoiElementalCompositionAtomicNumber = 805699767,
            RoiElementalCompositionAtomicMassFraction = 805699768,
            AdditionalRtRoiIdentificationCodeSequence = 805699769,
            FrameOfReferenceRelationshipSequence = 805699776,
            RelatedFrameOfReferenceUid = 805699778,
            FrameOfReferenceTransformationType = 805699780,
            FrameOfReferenceTransformationMatrix = 805699782,
            FrameOfReferenceTransformationComment = 805699784,
            MeasuredDoseReferenceSequence = 805830672,
            MeasuredDoseDescription = 805830674,
            MeasuredDoseType = 805830676,
            MeasuredDoseValue = 805830678,
            TreatmentSessionBeamSequence = 805830688,
            TreatmentSessionIonBeamSequence = 805830689,
            CurrentFractionNumber = 805830690,
            TreatmentControlPointDate = 805830692,
            TreatmentControlPointTime = 805830693,
            TreatmentTerminationStatus = 805830698,
            TreatmentTerminationCode = 805830699,
            TreatmentVerificationStatus = 805830700,
            ReferencedTreatmentRecordSequence = 805830704,
            SpecifiedPrimaryMeterset = 805830706,
            SpecifiedSecondaryMeterset = 805830707,
            DeliveredPrimaryMeterset = 805830710,
            DeliveredSecondaryMeterset = 805830711,
            SpecifiedTreatmentTime = 805830714,
            DeliveredTreatmentTime = 805830715,
            ControlPointDeliverySequence = 805830720,
            IonControlPointDeliverySequence = 805830721,
            SpecifiedMeterset = 805830722,
            DeliveredMeterset = 805830724,
            MetersetRateSet = 805830725,
            MetersetRateDelivered = 805830726,
            ScanSpotMetersetsDelivered = 805830727,
            DoseRateDelivered = 805830728,
            TreatmentSummaryCalculatedDoseReferenceSequence = 805830736,
            CumulativeDoseToDoseReference = 805830738,
            FirstTreatmentDate = 805830740,
            MostRecentTreatmentDate = 805830742,
            NumberOfFractionsDelivered = 805830746,
            OverrideSequence = 805830752,
            ParameterSequencePointer = 805830753,
            OverrideParameterPointer = 805830754,
            ParameterItemIndex = 805830755,
            MeasuredDoseReferenceNumber = 805830756,
            ParameterPointer = 805830757,
            OverrideReason = 805830758,
            CorrectedParameterSequence = 805830760,
            CorrectionValue = 805830762,
            CalculatedDoseReferenceSequence = 805830768,
            CalculatedDoseReferenceNumber = 805830770,
            CalculatedDoseReferenceDescription = 805830772,
            CalculatedDoseReferenceDoseValue = 805830774,
            StartMeterset = 805830776,
            EndMeterset = 805830778,
            ReferencedMeasuredDoseReferenceSequence = 805830784,
            ReferencedMeasuredDoseReferenceNumber = 805830786,
            ReferencedCalculatedDoseReferenceSequence = 805830800,
            ReferencedCalculatedDoseReferenceNumber = 805830802,
            BeamLimitingDeviceLeafPairsSequence = 805830816,
            RecordedWedgeSequence = 805830832,
            RecordedCompensatorSequence = 805830848,
            RecordedBlockSequence = 805830864,
            TreatmentSummaryMeasuredDoseReferenceSequence = 805830880,
            RecordedSnoutSequence = 805830896,
            RecordedRangeShifterSequence = 805830898,
            RecordedLateralSpreadingDeviceSequence = 805830900,
            RecordedRangeModulatorSequence = 805830902,
            RecordedSourceSequence = 805830912,
            SourceSerialNumber = 805830917,
            TreatmentSessionApplicationSetupSequence = 805830928,
            ApplicationSetupCheck = 805830934,
            RecordedBrachyAccessoryDeviceSequence = 805830944,
            ReferencedBrachyAccessoryDeviceNumber = 805830946,
            RecordedChannelSequence = 805830960,
            SpecifiedChannelTotalTime = 805830962,
            DeliveredChannelTotalTime = 805830964,
            SpecifiedNumberOfPulses = 805830966,
            DeliveredNumberOfPulses = 805830968,
            SpecifiedPulseRepetitionInterval = 805830970,
            DeliveredPulseRepetitionInterval = 805830972,
            RecordedSourceApplicatorSequence = 805830976,
            ReferencedSourceApplicatorNumber = 805830978,
            RecordedChannelShieldSequence = 805830992,
            ReferencedChannelShieldNumber = 805830994,
            BrachyControlPointDeliveredSequence = 805831008,
            SafePositionExitDate = 805831010,
            SafePositionExitTime = 805831012,
            SafePositionReturnDate = 805831014,
            SafePositionReturnTime = 805831016,
            PulseSpecificBrachyControlPointDeliveredSequence = 805831025,
            PulseNumber = 805831026,
            BrachyPulseControlPointDeliveredSequence = 805831027,
            CurrentTreatmentStatus = 805831168,
            TreatmentStatusComment = 805831170,
            FractionGroupSummarySequence = 805831200,
            ReferencedFractionNumber = 805831203,
            FractionGroupType = 805831204,
            BeamStopperPosition = 805831216,
            FractionStatusSummarySequence = 805831232,
            TreatmentDate = 805831248,
            TreatmentTime = 805831249,
            RtPlanLabel = 805961730,
            RtPlanName = 805961731,
            RtPlanDescription = 805961732,
            RtPlanDate = 805961734,
            RtPlanTime = 805961735,
            TreatmentProtocols = 805961737,
            PlanIntent = 805961738,
            TreatmentSites = 805961739,
            RtPlanGeometry = 805961740,
            PrescriptionDescription = 805961742,
            DoseReferenceSequence = 805961744,
            DoseReferenceNumber = 805961746,
            DoseReferenceUid = 805961747,
            DoseReferenceStructureType = 805961748,
            NominalBeamEnergyUnit = 805961749,
            DoseReferenceDescription = 805961750,
            DoseReferencePointCoordinates = 805961752,
            NominalPriorDose = 805961754,
            DoseReferenceType = 805961760,
            ConstraintWeight = 805961761,
            DeliveryWarningDose = 805961762,
            DeliveryMaximumDose = 805961763,
            TargetMinimumDose = 805961765,
            TargetPrescriptionDose = 805961766,
            TargetMaximumDose = 805961767,
            TargetUnderdoseVolumeFraction = 805961768,
            OrganAtRiskFullVolumeDose = 805961770,
            OrganAtRiskLimitDose = 805961771,
            OrganAtRiskMaximumDose = 805961772,
            OrganAtRiskOverdoseVolumeFraction = 805961773,
            ToleranceTableSequence = 805961792,
            ToleranceTableNumber = 805961794,
            ToleranceTableLabel = 805961795,
            GantryAngleTolerance = 805961796,
            BeamLimitingDeviceAngleTolerance = 805961798,
            BeamLimitingDeviceToleranceSequence = 805961800,
            BeamLimitingDevicePositionTolerance = 805961802,
            SnoutPositionTolerance = 805961803,
            PatientSupportAngleTolerance = 805961804,
            TableTopEccentricAngleTolerance = 805961806,
            TableTopPitchAngleTolerance = 805961807,
            TableTopRollAngleTolerance = 805961808,
            TableTopVerticalPositionTolerance = 805961809,
            TableTopLongitudinalPositionTolerance = 805961810,
            TableTopLateralPositionTolerance = 805961811,
            RtPlanRelationship = 805961813,
            FractionGroupSequence = 805961840,
            FractionGroupNumber = 805961841,
            FractionGroupDescription = 805961842,
            NumberOfFractionsPlanned = 805961848,
            NumberOfFractionPatternDigitsPerDay = 805961849,
            RepeatFractionCycleLength = 805961850,
            FractionPattern = 805961851,
            NumberOfBeams = 805961856,
            BeamDoseSpecificationPoint = 805961858,
            BeamDose = 805961860,
            BeamMeterset = 805961862,
            BeamDosePointDepth = 805961864,
            BeamDosePointEquivalentDepth = 805961865,
            BeamDosePointSsd = 805961866,
            BeamDoseMeaning = 805961867,
            BeamDoseVerificationControlPointSequence = 805961868,
            AverageBeamDosePointDepth = 805961869,
            AverageBeamDosePointEquivalentDepth = 805961870,
            AverageBeamDosePointSsd = 805961871,
            BeamDoseType = 805961872,
            AlternateBeamDose = 805961873,
            AlternateBeamDoseType = 805961874,
            NumberOfBrachyApplicationSetups = 805961888,
            BrachyApplicationSetupDoseSpecificationPoint = 805961890,
            BrachyApplicationSetupDose = 805961892,
            BeamSequence = 805961904,
            TreatmentMachineName = 805961906,
            PrimaryDosimeterUnit = 805961907,
            SourceAxisDistance = 805961908,
            BeamLimitingDeviceSequence = 805961910,
            RtBeamLimitingDeviceType = 805961912,
            SourceToBeamLimitingDeviceDistance = 805961914,
            IsocenterToBeamLimitingDeviceDistance = 805961915,
            NumberOfLeafJawPairs = 805961916,
            LeafPositionBoundaries = 805961918,
            BeamNumber = 805961920,
            BeamName = 805961922,
            BeamDescription = 805961923,
            BeamType = 805961924,
            BeamDeliveryDurationLimit = 805961925,
            RadiationType = 805961926,
            HighDoseTechniqueType = 805961927,
            ReferenceImageNumber = 805961928,
            PlannedVerificationImageSequence = 805961930,
            ImagingDeviceSpecificAcquisitionParameters = 805961932,
            TreatmentDeliveryType = 805961934,
            NumberOfWedges = 805961936,
            WedgeSequence = 805961937,
            WedgeNumber = 805961938,
            WedgeType = 805961939,
            WedgeId = 805961940,
            WedgeAngle = 805961941,
            WedgeFactor = 805961942,
            TotalWedgeTrayWaterEquivalentThickness = 805961943,
            WedgeOrientation = 805961944,
            IsocenterToWedgeTrayDistance = 805961945,
            SourceToWedgeTrayDistance = 805961946,
            WedgeThinEdgePosition = 805961947,
            BolusId = 805961948,
            BolusDescription = 805961949,
            EffectiveWedgeAngle = 805961950,
            NumberOfCompensators = 805961952,
            MaterialId = 805961953,
            TotalCompensatorTrayFactor = 805961954,
            CompensatorSequence = 805961955,
            CompensatorNumber = 805961956,
            CompensatorId = 805961957,
            SourceToCompensatorTrayDistance = 805961958,
            CompensatorRows = 805961959,
            CompensatorColumns = 805961960,
            CompensatorPixelSpacing = 805961961,
            CompensatorPosition = 805961962,
            CompensatorTransmissionData = 805961963,
            CompensatorThicknessData = 805961964,
            NumberOfBoli = 805961965,
            CompensatorType = 805961966,
            CompensatorTrayId = 805961967,
            NumberOfBlocks = 805961968,
            TotalBlockTrayFactor = 805961970,
            TotalBlockTrayWaterEquivalentThickness = 805961971,
            BlockSequence = 805961972,
            BlockTrayId = 805961973,
            SourceToBlockTrayDistance = 805961974,
            IsocenterToBlockTrayDistance = 805961975,
            BlockType = 805961976,
            AccessoryCode = 805961977,
            BlockDivergence = 805961978,
            BlockMountingPosition = 805961979,
            BlockNumber = 805961980,
            BlockName = 805961982,
            BlockThickness = 805961984,
            BlockTransmission = 805961986,
            BlockNumberOfPoints = 805961988,
            BlockData = 805961990,
            ApplicatorSequence = 805961991,
            ApplicatorId = 805961992,
            ApplicatorType = 805961993,
            ApplicatorDescription = 805961994,
            CumulativeDoseReferenceCoefficient = 805961996,
            FinalCumulativeMetersetWeight = 805961998,
            NumberOfControlPoints = 805962000,
            ControlPointSequence = 805962001,
            ControlPointIndex = 805962002,
            NominalBeamEnergy = 805962004,
            DoseRateSet = 805962005,
            WedgePositionSequence = 805962006,
            WedgePosition = 805962008,
            BeamLimitingDevicePositionSequence = 805962010,
            LeafJawPositions = 805962012,
            GantryAngle = 805962014,
            GantryRotationDirection = 805962015,
            BeamLimitingDeviceAngle = 805962016,
            BeamLimitingDeviceRotationDirection = 805962017,
            PatientSupportAngle = 805962018,
            PatientSupportRotationDirection = 805962019,
            TableTopEccentricAxisDistance = 805962020,
            TableTopEccentricAngle = 805962021,
            TableTopEccentricRotationDirection = 805962022,
            TableTopVerticalPosition = 805962024,
            TableTopLongitudinalPosition = 805962025,
            TableTopLateralPosition = 805962026,
            IsocenterPosition = 805962028,
            SurfaceEntryPoint = 805962030,
            SourceToSurfaceDistance = 805962032,
            AverageBeamDosePointSourceToExternalContourDistance = 805962033,
            SourceToExternalContourDistance = 805962034,
            ExternalContourEntryPoint = 805962035,
            CumulativeMetersetWeight = 805962036,
            TableTopPitchAngle = 805962048,
            TableTopPitchRotationDirection = 805962050,
            TableTopRollAngle = 805962052,
            TableTopRollRotationDirection = 805962054,
            HeadFixationAngle = 805962056,
            GantryPitchAngle = 805962058,
            GantryPitchRotationDirection = 805962060,
            GantryPitchAngleTolerance = 805962062,
            FixationEye = 805962064,
            ChairHeadFramePosition = 805962065,
            HeadFixationAngleTolerance = 805962066,
            ChairHeadFramePositionTolerance = 805962067,
            FixationLightAzimuthalAngleTolerance = 805962068,
            FixationLightPolarAngleTolerance = 805962069,
            PatientSetupSequence = 805962112,
            PatientSetupNumber = 805962114,
            PatientSetupLabel = 805962115,
            PatientAdditionalPosition = 805962116,
            FixationDeviceSequence = 805962128,
            FixationDeviceType = 805962130,
            FixationDeviceLabel = 805962132,
            FixationDeviceDescription = 805962134,
            FixationDevicePosition = 805962136,
            FixationDevicePitchAngle = 805962137,
            FixationDeviceRollAngle = 805962138,
            ShieldingDeviceSequence = 805962144,
            ShieldingDeviceType = 805962146,
            ShieldingDeviceLabel = 805962148,
            ShieldingDeviceDescription = 805962150,
            ShieldingDevicePosition = 805962152,
            SetupTechnique = 805962160,
            SetupTechniqueDescription = 805962162,
            SetupDeviceSequence = 805962164,
            SetupDeviceType = 805962166,
            SetupDeviceLabel = 805962168,
            SetupDeviceDescription = 805962170,
            SetupDeviceParameter = 805962172,
            SetupReferenceDescription = 805962192,
            TableTopVerticalSetupDisplacement = 805962194,
            TableTopLongitudinalSetupDisplacement = 805962196,
            TableTopLateralSetupDisplacement = 805962198,
            BrachyTreatmentTechnique = 805962240,
            BrachyTreatmentType = 805962242,
            TreatmentMachineSequence = 805962246,
            SourceSequence = 805962256,
            SourceNumber = 805962258,
            SourceType = 805962260,
            SourceManufacturer = 805962262,
            ActiveSourceDiameter = 805962264,
            ActiveSourceLength = 805962266,
            SourceModelId = 805962267,
            SourceDescription = 805962268,
            SourceEncapsulationNominalThickness = 805962274,
            SourceEncapsulationNominalTransmission = 805962276,
            SourceIsotopeName = 805962278,
            SourceIsotopeHalfLife = 805962280,
            SourceStrengthUnits = 805962281,
            ReferenceAirKermaRate = 805962282,
            SourceStrength = 805962283,
            SourceStrengthReferenceDate = 805962284,
            SourceStrengthReferenceTime = 805962286,
            ApplicationSetupSequence = 805962288,
            ApplicationSetupType = 805962290,
            ApplicationSetupNumber = 805962292,
            ApplicationSetupName = 805962294,
            ApplicationSetupManufacturer = 805962296,
            TemplateNumber = 805962304,
            TemplateType = 805962306,
            TemplateName = 805962308,
            TotalReferenceAirKerma = 805962320,
            BrachyAccessoryDeviceSequence = 805962336,
            BrachyAccessoryDeviceNumber = 805962338,
            BrachyAccessoryDeviceId = 805962339,
            BrachyAccessoryDeviceType = 805962340,
            BrachyAccessoryDeviceName = 805962342,
            BrachyAccessoryDeviceNominalThickness = 805962346,
            BrachyAccessoryDeviceNominalTransmission = 805962348,
            ChannelSequence = 805962368,
            ChannelNumber = 805962370,
            ChannelLength = 805962372,
            ChannelTotalTime = 805962374,
            SourceMovementType = 805962376,
            NumberOfPulses = 805962378,
            PulseRepetitionInterval = 805962380,
            SourceApplicatorNumber = 805962384,
            SourceApplicatorId = 805962385,
            SourceApplicatorType = 805962386,
            SourceApplicatorName = 805962388,
            SourceApplicatorLength = 805962390,
            SourceApplicatorManufacturer = 805962392,
            SourceApplicatorWallNominalThickness = 805962396,
            SourceApplicatorWallNominalTransmission = 805962398,
            SourceApplicatorStepSize = 805962400,
            TransferTubeNumber = 805962402,
            TransferTubeLength = 805962404,
            ChannelShieldSequence = 805962416,
            ChannelShieldNumber = 805962418,
            ChannelShieldId = 805962419,
            ChannelShieldName = 805962420,
            ChannelShieldNominalThickness = 805962424,
            ChannelShieldNominalTransmission = 805962426,
            FinalCumulativeTimeWeight = 805962440,
            BrachyControlPointSequence = 805962448,
            ControlPointRelativePosition = 805962450,
            ControlPoint3dPosition = 805962452,
            CumulativeTimeWeight = 805962454,
            CompensatorDivergence = 805962464,
            CompensatorMountingPosition = 805962465,
            SourceToCompensatorDistance = 805962466,
            TotalCompensatorTrayWaterEquivalentThickness = 805962467,
            IsocenterToCompensatorTrayDistance = 805962468,
            CompensatorColumnOffset = 805962469,
            IsocenterToCompensatorDistances = 805962470,
            CompensatorRelativeStoppingPowerRatio = 805962471,
            CompensatorMillingToolDiameter = 805962472,
            IonRangeCompensatorSequence = 805962474,
            CompensatorDescription = 805962475,
            RadiationMassNumber = 805962498,
            RadiationAtomicNumber = 805962500,
            RadiationChargeState = 805962502,
            ScanMode = 805962504,
            ModulatedScanModeType = 805962505,
            VirtualSourceAxisDistances = 805962506,
            SnoutSequence = 805962508,
            SnoutPosition = 805962509,
            SnoutId = 805962511,
            NumberOfRangeShifters = 805962514,
            RangeShifterSequence = 805962516,
            RangeShifterNumber = 805962518,
            RangeShifterId = 805962520,
            RangeShifterType = 805962528,
            RangeShifterDescription = 805962530,
            NumberOfLateralSpreadingDevices = 805962544,
            LateralSpreadingDeviceSequence = 805962546,
            LateralSpreadingDeviceNumber = 805962548,
            LateralSpreadingDeviceId = 805962550,
            LateralSpreadingDeviceType = 805962552,
            LateralSpreadingDeviceDescription = 805962554,
            LateralSpreadingDeviceWaterEquivalentThickness = 805962556,
            NumberOfRangeModulators = 805962560,
            RangeModulatorSequence = 805962562,
            RangeModulatorNumber = 805962564,
            RangeModulatorId = 805962566,
            RangeModulatorType = 805962568,
            RangeModulatorDescription = 805962570,
            BeamCurrentModulationId = 805962572,
            PatientSupportType = 805962576,
            PatientSupportId = 805962578,
            PatientSupportAccessoryCode = 805962580,
            TrayAccessoryCode = 805962581,
            FixationLightAzimuthalAngle = 805962582,
            FixationLightPolarAngle = 805962584,
            MetersetRate = 805962586,
            RangeShifterSettingsSequence = 805962592,
            RangeShifterSetting = 805962594,
            IsocenterToRangeShifterDistance = 805962596,
            RangeShifterWaterEquivalentThickness = 805962598,
            LateralSpreadingDeviceSettingsSequence = 805962608,
            LateralSpreadingDeviceSetting = 805962610,
            IsocenterToLateralSpreadingDeviceDistance = 805962612,
            RangeModulatorSettingsSequence = 805962624,
            RangeModulatorGatingStartValue = 805962626,
            RangeModulatorGatingStopValue = 805962628,
            RangeModulatorGatingStartWaterEquivalentThickness = 805962630,
            RangeModulatorGatingStopWaterEquivalentThickness = 805962632,
            IsocenterToRangeModulatorDistance = 805962634,
            ScanSpotTuneId = 805962640,
            ScanSpotPrescribedIndices = 805962641,
            NumberOfScanSpotPositions = 805962642,
            ScanSpotReordered = 805962643,
            ScanSpotPositionMap = 805962644,
            ScanSpotReorderingAllowed = 805962645,
            ScanSpotMetersetWeights = 805962646,
            ScanningSpotSize = 805962648,
            NumberOfPaintings = 805962650,
            IonToleranceTableSequence = 805962656,
            IonBeamSequence = 805962658,
            IonBeamLimitingDeviceSequence = 805962660,
            IonBlockSequence = 805962662,
            IonControlPointSequence = 805962664,
            IonWedgeSequence = 805962666,
            IonWedgePositionSequence = 805962668,
            ReferencedSetupImageSequence = 805962753,
            SetupImageComment = 805962754,
            MotionSynchronizationSequence = 805962768,
            ControlPointOrientation = 805962770,
            GeneralAccessorySequence = 805962784,
            GeneralAccessoryId = 805962785,
            GeneralAccessoryDescription = 805962786,
            GeneralAccessoryType = 805962787,
            GeneralAccessoryNumber = 805962788,
            SourceToGeneralAccessoryDistance = 805962789,
            ApplicatorGeometrySequence = 805962801,
            ApplicatorApertureShape = 805962802,
            ApplicatorOpening = 805962803,
            ApplicatorOpeningX = 805962804,
            ApplicatorOpeningY = 805962805,
            SourceToApplicatorMountingPositionDistance = 805962806,
            NumberOfBlockSlabItems = 805962816,
            BlockSlabSequence = 805962817,
            BlockSlabThickness = 805962818,
            BlockSlabNumber = 805962819,
            DeviceMotionControlSequence = 805962832,
            DeviceMotionExecutionMode = 805962833,
            DeviceMotionObservationMode = 805962834,
            DeviceMotionParameterCodeSequence = 805962835,
            DistalDepthFraction = 805963009,
            DistalDepth = 805963010,
            NominalRangeModulationFractions = 805963011,
            NominalRangeModulatedRegionDepths = 805963012,
            DepthDoseParametersSequence = 805963013,
            DeliveredDepthDoseParametersSequence = 805963014,
            DeliveredDistalDepthFraction = 805963015,
            DeliveredDistalDepth = 805963016,
            DeliveredNominalRangeModulationFractions = 805963017,
            DeliveredNominalRangeModulatedRegionDepths = 805963024,
            DeliveredReferenceDoseDefinition = 805963025,
            ReferenceDoseDefinition = 805963026,
            ReferencedRtPlanSequence = 806092802,
            ReferencedBeamSequence = 806092804,
            ReferencedBeamNumber = 806092806,
            ReferencedReferenceImageNumber = 806092807,
            StartCumulativeMetersetWeight = 806092808,
            EndCumulativeMetersetWeight = 806092809,
            ReferencedBrachyApplicationSetupSequence = 806092810,
            ReferencedBrachyApplicationSetupNumber = 806092812,
            ReferencedSourceNumber = 806092814,
            ReferencedFractionGroupSequence = 806092832,
            ReferencedFractionGroupNumber = 806092834,
            ReferencedVerificationImageSequence = 806092864,
            ReferencedReferenceImageSequence = 806092866,
            ReferencedDoseReferenceSequence = 806092880,
            ReferencedDoseReferenceNumber = 806092881,
            BrachyReferencedDoseReferenceSequence = 806092885,
            ReferencedStructureSetSequence = 806092896,
            ReferencedPatientSetupNumber = 806092906,
            ReferencedDoseSequence = 806092928,
            ReferencedToleranceTableNumber = 806092960,
            ReferencedBolusSequence = 806092976,
            ReferencedWedgeNumber = 806092992,
            ReferencedCompensatorNumber = 806093008,
            ReferencedBlockNumber = 806093024,
            ReferencedControlPointIndex = 806093040,
            ReferencedControlPointSequence = 806093042,
            ReferencedStartControlPointIndex = 806093044,
            ReferencedStopControlPointIndex = 806093046,
            ReferencedRangeShifterNumber = 806093056,
            ReferencedLateralSpreadingDeviceNumber = 806093058,
            ReferencedRangeModulatorNumber = 806093060,
            OmittedBeamTaskSequence = 806093073,
            ReasonForOmission = 806093074,
            ReasonForOmissionDescription = 806093075,
            ApprovalStatus = 806223874,
            ReviewDate = 806223876,
            ReviewTime = 806223877,
            ReviewerName = 806223880,
            Arbitrary = 1073741840,
            TextComments = 1073758208,
            ResultsId = 1074266176,
            ResultsIdIssuer = 1074266178,
            ReferencedInterpretationSequence = 1074266192,
            ReportProductionStatusTrial = 1074266367,
            InterpretationRecordedDate = 1074266368,
            InterpretationRecordedTime = 1074266369,
            InterpretationRecorder = 1074266370,
            ReferenceToRecordedSound = 1074266371,
            InterpretationTranscriptionDate = 1074266376,
            InterpretationTranscriptionTime = 1074266377,
            InterpretationTranscriber = 1074266378,
            InterpretationText = 1074266379,
            InterpretationAuthor = 1074266380,
            InterpretationApproverSequence = 1074266385,
            InterpretationApprovalDate = 1074266386,
            InterpretationApprovalTime = 1074266387,
            PhysicianApprovingInterpretation = 1074266388,
            InterpretationDiagnosisDescription = 1074266389,
            InterpretationDiagnosisCodeSequence = 1074266391,
            ResultsDistributionListSequence = 1074266392,
            DistributionName = 1074266393,
            DistributionAddress = 1074266394,
            InterpretationId = 1074266624,
            InterpretationIdIssuer = 1074266626,
            InterpretationTypeId = 1074266640,
            InterpretationStatusId = 1074266642,
            Impressions = 1074266880,
            ResultsComments = 1074282496,
            LowEnergyDetectors = 1074790401,
            HighEnergyDetectors = 1074790402,
            DetectorGeometrySequence = 1074790404,
            ThreatRoiVoxelSequence = 1074794497,
            ThreatRoiBase = 1074794500,
            ThreatRoiExtents = 1074794501,
            ThreatRoiBitmap = 1074794502,
            RouteSegmentId = 1074794503,
            GantryType = 1074794504,
            OoiOwnerType = 1074794505,
            RouteSegmentSequence = 1074794506,
            PotentialThreatObjectId = 1074794512,
            ThreatSequence = 1074794513,
            ThreatCategory = 1074794514,
            ThreatCategoryDescription = 1074794515,
            AtdAbilityAssessment = 1074794516,
            AtdAssessmentFlag = 1074794517,
            AtdAssessmentProbability = 1074794518,
            Mass = 1074794519,
            Density = 1074794520,
            ZEffective = 1074794521,
            BoardingPassId = 1074794522,
            CenterOfMass = 1074794523,
            CenterOfPto = 1074794524,
            BoundingPolygon = 1074794525,
            RouteSegmentStartLocationId = 1074794526,
            RouteSegmentEndLocationId = 1074794527,
            RouteSegmentLocationIdType = 1074794528,
            AbortReason = 1074794529,
            VolumeOfPto = 1074794531,
            AbortFlag = 1074794532,
            RouteSegmentStartTime = 1074794533,
            RouteSegmentEndTime = 1074794534,
            TdrType = 1074794535,
            InternationalRouteSegment = 1074794536,
            ThreatDetectionAlgorithmAndVersion = 1074794537,
            AssignedLocation = 1074794538,
            AlarmDecisionTime = 1074794539,
            AlarmDecision = 1074794545,
            NumberOfTotalObjects = 1074794547,
            NumberOfAlarmObjects = 1074794548,
            PtoRepresentationSequence = 1074794551,
            AtdAssessmentSequence = 1074794552,
            TipType = 1074794553,
            Version = 1074794554,
            OoiOwnerCreationTime = 1074794561,
            OoiType = 1074794562,
            OoiSize = 1074794563,
            AcquisitionStatus = 1074794564,
            BasisMaterialsCodeSequence = 1074794565,
            PhantomType = 1074794566,
            OoiOwnerSequence = 1074794567,
            ScanType = 1074794568,
            ItineraryId = 1074794577,
            ItineraryIdType = 1074794578,
            ItineraryIdAssigningAuthority = 1074794579,
            RouteId = 1074794580,
            RouteIdAssigningAuthority = 1074794581,
            InboundArrivalType = 1074794582,
            CarrierId = 1074794584,
            CarrierIdAssigningAuthority = 1074794585,
            SourceOrientation = 1074794592,
            SourcePosition = 1074794593,
            BeltHeight = 1074794594,
            AlgorithmRoutingCodeSequence = 1074794596,
            TransportClassification = 1074794599,
            OoiTypeDescriptor = 1074794600,
            TotalProcessingTime = 1074794601,
            DetectorCalibrationData = 1074794604,
            AdditionalScreeningPerformed = 1074794605,
            AdditionalInspectionSelectionCriteria = 1074794606,
            AdditionalInspectionMethodSequence = 1074794607,
            AitDeviceType = 1074794608,
            QrMeasurementsSequence = 1074794609,
            TargetMaterialSequence = 1074794610,
            SnrThreshold = 1074794611,
            ImageScaleRepresentation = 1074794613,
            ReferencedPtoSequence = 1074794614,
            ReferencedTdrInstanceSequence = 1074794615,
            PtoLocationDescription = 1074794616,
            AnomalyLocatorIndicatorSequence = 1074794617,
            AnomalyLocatorIndicator = 1074794618,
            PtoRegionSequence = 1074794619,
            InspectionSelectionCriteria = 1074794620,
            SecondaryInspectionMethodSequence = 1074794621,
            PrcsToRcsOrientation = 1074794622,
            MacParametersSequence = 1342046209,
            SharedFunctionalGroupsSequence = 1375769129,
            PerFrameFunctionalGroupsSequence = 1375769136,
            WaveformSequence = 1409286400,
            ChannelMinimumValue = 1409286416,
            ChannelMaximumValue = 1409286418,
            WaveformBitsAllocated = 1409290244,
            WaveformSampleInterpretation = 1409290246,
            WaveformPaddingValue = 1409290250,
            WaveformData = 1409290256,
            FirstOrderPhaseCorrectionAngle = 1442840592,
            SpectroscopyData = 1442840608,
            FloatPixelData = 2145386504,
            DoubleFloatPixelData = 2145386505,
            PixelData = 2145386512,
            CoefficientsSdvn = 2145386528,
            CoefficientsSdhn = 2145386544,
            CoefficientsSddn = 2145386560,
            DigitalSignaturesSequence = 4294639610,
            DataSetTrailingPadding = 4294770684,
            Item = 4294893568,
            ItemDelimitationItem = 4294893581,
            SequenceDelimitationItem = 4294893789,
        }
        public Dicom(KaitaiStream p__io, KaitaiStruct p__parent = null, Dicom p__root = null) : base(p__io)
        {
            m_parent = p__parent;
            m_root = p__root ?? this;
            _read();
        }
        private void _read()
        {
            _fileHeader = new TFileHeader(m_io, this, m_root);
            _elements = new List<TDataElementImplicit>();
            {
                var i = 0;
                while (!m_io.IsEof) {
                    _elements.Add(new TDataElementImplicit(m_io, this, m_root));
                    i++;
                }
            }
        }
        public partial class TFileHeader : KaitaiStruct
        {
            public static TFileHeader FromFile(string fileName)
            {
                return new TFileHeader(new KaitaiStream(fileName));
            }

            public TFileHeader(KaitaiStream p__io, Dicom p__parent = null, Dicom p__root = null) : base(p__io)
            {
                m_parent = p__parent;
                m_root = p__root;
                _read();
            }
            private void _read()
            {
                _preamble = m_io.ReadBytes(128);
                _magic = m_io.ReadBytes(4);
                if (!((KaitaiStream.ByteArrayCompare(Magic, new byte[] { 68, 73, 67, 77 }) == 0)))
                {
                    throw new ValidationNotEqualError(new byte[] { 68, 73, 67, 77 }, Magic, M_Io, "/types/t_file_header/seq/1");
                }
            }
            private byte[] _preamble;
            private byte[] _magic;
            private Dicom m_root;
            private Dicom m_parent;
            public byte[] Preamble { get { return _preamble; } }
            public byte[] Magic { get { return _magic; } }
            public Dicom M_Root { get { return m_root; } }
            public Dicom M_Parent { get { return m_parent; } }
        }

        /// <remarks>
        /// Reference: <a href="https://dicom.nema.org/medical/dicom/current/output/html/part05.html#sect_7.1.2">Source</a>
        /// </remarks>
        public partial class TDataElementExplicit : KaitaiStruct
        {
            public static TDataElementExplicit FromFile(string fileName)
            {
                return new TDataElementExplicit(new KaitaiStream(fileName));
            }

            public TDataElementExplicit(KaitaiStream p__io, KaitaiStruct p__parent = null, Dicom p__root = null) : base(p__io)
            {
                m_parent = p__parent;
                m_root = p__root;
                f_isForcedImplicit = false;
                f_isLongLen = false;
                f_isTransferSyntaxChangeImplicit = false;
                f_tag = false;
                _read();
            }
            private void _read()
            {
                _tagGroup = m_io.ReadU2le();
                _tagElem = m_io.ReadU2le();
                if (!(IsForcedImplicit)) {
                    _vr = System.Text.Encoding.GetEncoding("ASCII").GetString(m_io.ReadBytes(2));
                }
                if ( ((IsLongLen) && (!(IsForcedImplicit))) ) {
                    _reserved = m_io.ReadU2le();
                }
                {
                    bool on = IsLongLen;
                    if (on == false)
                    {
                        _valueLen = m_io.ReadU2le();
                    }
                    else if (on == true)
                    {
                        _valueLen = m_io.ReadU4le();
                    }
                }
                if (ValueLen != 4294967295) {
                    _value = m_io.ReadBytes(ValueLen);
                }
                if ( ((Vr == "SQ") && (ValueLen == 4294967295)) ) {
                    _items = new List<SeqItem>();
                    {
                        var i = 0;
                        SeqItem M_;
                        do {
                            M_ = new SeqItem(m_io, this, m_root);
                            _items.Add(M_);
                            i++;
                        } while (!(M_.TagElem == 57565));
                    }
                }
                if (IsTransferSyntaxChangeImplicit) {
                    _elementsImplicit = new List<TDataElementImplicit>();
                    {
                        var i = 0;
                        while (!m_io.IsEof) {
                            _elementsImplicit.Add(new TDataElementImplicit(m_io, this, m_root));
                            i++;
                        }
                    }
                }
            }
            private bool f_isForcedImplicit;
            private bool _isForcedImplicit;
            public bool IsForcedImplicit
            {
                get
                {
                    if (f_isForcedImplicit)
                        return _isForcedImplicit;
                    _isForcedImplicit = (bool) (TagGroup == 65534);
                    f_isForcedImplicit = true;
                    return _isForcedImplicit;
                }
            }
            private bool f_isLongLen;
            private bool _isLongLen;
            public bool IsLongLen
            {
                get
                {
                    if (f_isLongLen)
                        return _isLongLen;
                    _isLongLen = (bool) ( ((IsForcedImplicit) || (Vr == "OB") || (Vr == "OD") || (Vr == "OF") || (Vr == "OL") || (Vr == "OW") || (Vr == "SQ") || (Vr == "UC") || (Vr == "UR") || (Vr == "UT") || (Vr == "UN")) );
                    f_isLongLen = true;
                    return _isLongLen;
                }
            }
            private bool f_isTransferSyntaxChangeImplicit;
            private bool _isTransferSyntaxChangeImplicit;
            public bool IsTransferSyntaxChangeImplicit
            {
                get
                {
                    if (f_isTransferSyntaxChangeImplicit)
                        return _isTransferSyntaxChangeImplicit;
                    _isTransferSyntaxChangeImplicit = (bool) (false);
                    f_isTransferSyntaxChangeImplicit = true;
                    return _isTransferSyntaxChangeImplicit;
                }
            }
            private bool f_tag;
            private Tags _tag;
            public Tags Tag
            {
                get
                {
                    if (f_tag)
                        return _tag;
                    _tag = (Tags) (((Dicom.Tags) ((TagGroup << 16) | TagElem)));
                    f_tag = true;
                    return _tag;
                }
            }
            private ushort _tagGroup;
            private ushort _tagElem;
            private string _vr;
            private ushort? _reserved;
            private uint _valueLen;
            private byte[] _value;
            private List<SeqItem> _items;
            private List<TDataElementImplicit> _elementsImplicit;
            private Dicom m_root;
            private KaitaiStruct m_parent;
            public ushort TagGroup { get { return _tagGroup; } }
            public ushort TagElem { get { return _tagElem; } }
            public string Vr { get { return _vr; } }
            public ushort? Reserved { get { return _reserved; } }
            public uint ValueLen { get { return _valueLen; } }
            public byte[] Value { get { return _value; } }
            public List<SeqItem> Items { get { return _items; } }
            public List<TDataElementImplicit> ElementsImplicit { get { return _elementsImplicit; } }
            public Dicom M_Root { get { return m_root; } }
            public KaitaiStruct M_Parent { get { return m_parent; } }
        }

        /// <remarks>
        /// Reference: <a href="https://dicom.nema.org/medical/dicom/current/output/html/part05.html#sect_7.1.2">Source</a>
        /// </remarks>
        public partial class TDataElementImplicit : KaitaiStruct
        {
            public static TDataElementImplicit FromFile(string fileName)
            {
                return new TDataElementImplicit(new KaitaiStream(fileName));
            }

            public TDataElementImplicit(KaitaiStream p__io, KaitaiStruct p__parent = null, Dicom p__root = null) : base(p__io)
            {
                m_parent = p__parent;
                m_root = p__root;
                f_tag = false;
                f_isTransferSyntaxChangeExplicit = false;
                f_isLongLen = false;
                f_pIsTransferSyntaxChangeExplicit = false;
                f_isForcedExplicit = false;
                _read();
            }
            private void _read()
            {
                _tagGroup = m_io.ReadU2le();
                _tagElem = m_io.ReadU2le();
                if (IsForcedExplicit) {
                    _vr = System.Text.Encoding.GetEncoding("ASCII").GetString(m_io.ReadBytes(2));
                }
                if ( ((IsLongLen) && (IsForcedExplicit)) ) {
                    _reserved = m_io.ReadU2le();
                }
                {
                    bool on = (IsForcedExplicit ? IsLongLen : true);
                    if (on == false)
                    {
                        _valueLen = m_io.ReadU2le();
                    }
                    else if (on == true)
                    {
                        _valueLen = m_io.ReadU4le();
                    }
                }
                if (ValueLen != 4294967295) {
                    _value = m_io.ReadBytes(ValueLen);
                }
                if ( ((Vr == "SQ") && (ValueLen == 4294967295)) ) {
                    _items = new List<SeqItem>();
                    {
                        var i = 0;
                        SeqItem M_;
                        do {
                            M_ = new SeqItem(m_io, this, m_root);
                            _items.Add(M_);
                            i++;
                        } while (!(M_.TagElem == 57565));
                    }
                }
                if (IsTransferSyntaxChangeExplicit) {
                    _elements = new List<TDataElementExplicit>();
                    {
                        var i = 0;
                        while (!m_io.IsEof) {
                            _elements.Add(new TDataElementExplicit(m_io, this, m_root));
                            i++;
                        }
                    }
                }
            }
            private bool f_tag;
            private Tags _tag;
            public Tags Tag
            {
                get
                {
                    if (f_tag)
                        return _tag;
                    _tag = (Tags) (((Dicom.Tags) ((TagGroup << 16) | TagElem)));
                    f_tag = true;
                    return _tag;
                }
            }
            private bool f_isTransferSyntaxChangeExplicit;
            private bool _isTransferSyntaxChangeExplicit;
            public bool IsTransferSyntaxChangeExplicit
            {
                get
                {
                    if (f_isTransferSyntaxChangeExplicit)
                        return _isTransferSyntaxChangeExplicit;
                    _isTransferSyntaxChangeExplicit = (bool) (PIsTransferSyntaxChangeExplicit);
                    f_isTransferSyntaxChangeExplicit = true;
                    return _isTransferSyntaxChangeExplicit;
                }
            }
            private bool f_isLongLen;
            private bool _isLongLen;
            public bool IsLongLen
            {
                get
                {
                    if (f_isLongLen)
                        return _isLongLen;
                    _isLongLen = (bool) ( ((IsForcedExplicit) && ( ((Vr == "OB") || (Vr == "OD") || (Vr == "OF") || (Vr == "OL") || (Vr == "OW") || (Vr == "SQ") || (Vr == "UC") || (Vr == "UR") || (Vr == "UT") || (Vr == "UN")) )) );
                    f_isLongLen = true;
                    return _isLongLen;
                }
            }
            private bool f_pIsTransferSyntaxChangeExplicit;
            private bool _pIsTransferSyntaxChangeExplicit;
            public bool PIsTransferSyntaxChangeExplicit
            {
                get
                {
                    if (f_pIsTransferSyntaxChangeExplicit)
                        return _pIsTransferSyntaxChangeExplicit;
                    _pIsTransferSyntaxChangeExplicit = (bool) ((KaitaiStream.ByteArrayCompare(Value, new byte[] { 49, 46, 50, 46, 56, 52, 48, 46, 49, 48, 48, 48, 56, 46, 49, 46, 50, 46, 49, 0 }) == 0));
                    f_pIsTransferSyntaxChangeExplicit = true;
                    return _pIsTransferSyntaxChangeExplicit;
                }
            }
            private bool f_isForcedExplicit;
            private bool _isForcedExplicit;
            public bool IsForcedExplicit
            {
                get
                {
                    if (f_isForcedExplicit)
                        return _isForcedExplicit;
                    _isForcedExplicit = (bool) (TagGroup == 2);
                    f_isForcedExplicit = true;
                    return _isForcedExplicit;
                }
            }
            private ushort _tagGroup;
            private ushort _tagElem;
            private string _vr;
            private ushort? _reserved;
            private uint _valueLen;
            private byte[] _value;
            private List<SeqItem> _items;
            private List<TDataElementExplicit> _elements;
            private Dicom m_root;
            private KaitaiStruct m_parent;
            public ushort TagGroup { get { return _tagGroup; } }
            public ushort TagElem { get { return _tagElem; } }
            public string Vr { get { return _vr; } }
            public ushort? Reserved { get { return _reserved; } }
            public uint ValueLen { get { return _valueLen; } }
            public byte[] Value { get { return _value; } }
            public List<SeqItem> Items { get { return _items; } }
            public List<TDataElementExplicit> Elements { get { return _elements; } }
            public Dicom M_Root { get { return m_root; } }
            public KaitaiStruct M_Parent { get { return m_parent; } }
        }
        public partial class SeqItem : KaitaiStruct
        {
            public static SeqItem FromFile(string fileName)
            {
                return new SeqItem(new KaitaiStream(fileName));
            }

            public SeqItem(KaitaiStream p__io, KaitaiStruct p__parent = null, Dicom p__root = null) : base(p__io)
            {
                m_parent = p__parent;
                m_root = p__root;
                _read();
            }
            private void _read()
            {
                _tagGroup = m_io.ReadBytes(2);
                if (!((KaitaiStream.ByteArrayCompare(TagGroup, new byte[] { 254, 255 }) == 0)))
                {
                    throw new ValidationNotEqualError(new byte[] { 254, 255 }, TagGroup, M_Io, "/types/seq_item/seq/0");
                }
                _tagElem = m_io.ReadU2le();
                _valueLen = m_io.ReadU4le();
                if (ValueLen != 4294967295) {
                    _value = m_io.ReadBytes(ValueLen);
                }
                if (ValueLen == 4294967295) {
                    _items = new List<TDataElementExplicit>();
                    {
                        var i = 0;
                        TDataElementExplicit M_;
                        do {
                            M_ = new TDataElementExplicit(m_io, this, m_root);
                            _items.Add(M_);
                            i++;
                        } while (!( ((M_.TagGroup == 65534) && (M_.TagElem == 57357)) ));
                    }
                }
            }
            private byte[] _tagGroup;
            private ushort _tagElem;
            private uint _valueLen;
            private byte[] _value;
            private List<TDataElementExplicit> _items;
            private Dicom m_root;
            private KaitaiStruct m_parent;
            public byte[] TagGroup { get { return _tagGroup; } }
            public ushort TagElem { get { return _tagElem; } }
            public uint ValueLen { get { return _valueLen; } }
            public byte[] Value { get { return _value; } }
            public List<TDataElementExplicit> Items { get { return _items; } }
            public Dicom M_Root { get { return m_root; } }
            public KaitaiStruct M_Parent { get { return m_parent; } }
        }
        private TFileHeader _fileHeader;
        private List<TDataElementImplicit> _elements;
        private Dicom m_root;
        private KaitaiStruct m_parent;
        public TFileHeader FileHeader { get { return _fileHeader; } }
        public List<TDataElementImplicit> Elements { get { return _elements; } }
        public Dicom M_Root { get { return m_root; } }
        public KaitaiStruct M_Parent { get { return m_parent; } }
    }
}
